-- MySQL dump 10.13  Distrib 5.5.21, for Win32 (x86)
--
-- Host: localhost    Database: nlp
-- ------------------------------------------------------
-- Server version	5.1.54-community

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Current Database: `nlp`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `nlp` /*!40100 DEFAULT CHARACTER SET latin1 */;

USE `nlp`;

--
-- Table structure for table `condenserules`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE IF NOT EXISTS `condenserules` (
  `rule` varchar(500) DEFAULT NULL,
  `explanation` varchar(500) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `condenserules`
--

INSERT INTO `condenserules` (`rule`, `explanation`) VALUES ('MEETING, MEETING','meets'),('CAR VISIT WITH, MEETING','travels to meet'),('READY FOR ATTACK, MEETING','gets final call with somebody who attends meeting'),('PILOT PROGRAM , MEETING','goes for pilot program with an attendee of  a meeting'),('FLIGHT PRACTICE, MEETING','goes for flight practice with an attendee of  a meeting'),('FLIGHT CLASS, MEETING','goes for flight class with an attendee of  a meeting'),('MEETING, CAR VISIT WITH','attends a meeting with somebody who goes for a car visit'),('MEETING, READY FOR ATTACK','attends a meeting with somebody who gets a final call'),('MEETING, PILOT PROGRAM','attends a meeting with somebody who has taken pilot training'),('MEETING, FLIGHT PRACTICE','attends a meeting with somebody who has taken flight practice'),('MEETING, FLIGHT CLASS','attends a meeting with somebody who has tkane flight class'),('CAR VISIT WITH, CAR VISIT WITH','takes car ride'),('READY FOR ATTACK, CAR VISIT WITH','gets final call and takes car visit with somebody'),('PILOT PROGRAM, CAR VISIT WITH','takes a pilot program with somebody  who goes for a car visit'),('FLIGHT PRACTICE, CAR VISIT WITH','takes a flight practice with somebody  who goes for a car visit'),('FLIGHT CLASS, CAR VISIT WITH','takes a flight class with somebody  who goes for a car visit'),('CAR VISIT WITH, READY FOR ATTACK','goes for a car ride who gets a final call for attack'),('CAR VISIT WITH, PILOT PROGRAM','goes for a car ride with somebody who has taken pilot training'),('CAR VISIT WITH, FLIGHT PRACTICE','goes for a car ride with somebody who has taken flight training'),('CAR VISIT WITH, FLIGHT CLASS','goes for a car ride with somebody who has taken flight class'),('READY FOR ATTACK, READY FOR ATTACK','final call'),('PILOT PROGRAM , READY FOR ATTACK','takes up a pilot class with somebody who gets a final call'),('FLIGHT PRACTICE, READY FOR ATTACK','takes up a flight practice with somebody who gets a final call'),('FLIGHT CLASS, READY FOR ATTACK','takes a flight class with somebody  who gets a final call'),('READY FOR ATTACK, PILOT PROGRAM','converses a final call to somebody who has taken a pilot program'),('READY FOR ATTACK, FLIGHT PRACTICE','converses a final call to somebody who has taken a flight practice'),('READY FOR ATTACK, FLIGHT CLASS','converses a final call to somebody who has taken a flight class'),('PILOT PROGRAM , PILOT PROGRAM','takes a pilot training'),('FLIGHT PRACTICE, PILOT PROGRAM','takes flight practice with somebody who has pilot knowledge'),('FLIGHT CLASS, PILOT PROGRAM','takes flight class with somebody who has pilot knowledge'),('PILOT PROGRAM , CAR VISIT WITH	','takes pilot program with somebody who goes for car ride'),('PILOT PROGRAM , FLIGHT PRACTICE','takes pilot program with somebody who gets flight practice'),('PILOT PROGRAM , FLIGHT CLASS','takes pilot program with somebody who takes flight class'),('FLIGHT PRACTICE, FLIGHT PRACTICE','goes for flight practice'),('FLIGHT CLASS, FLIGHT PRACTICE','goes for flight class with somebody who takes practice sessions'),('FLIGHT PRACTICE, FLIGHT CLASS','goes for practice sessions with somebody who takes  flight class'),('FLIGHT CLASS, FLIGHT CLASS','goes for flight class'),('FLIGHT CLASS, PILOT PROGRAM','goes for flight class with somebody who has taken pilot program'),('ALHAZNAWI,ALHAZNAWI','alhaznawi'),('ALNAMI,ALNAMI','alnami'),('ATTA,ATTA','atta'),('BROTHER OF,READY FOR ATTACK','is a brother of somebody who gets a final call for attack'),('CALLEE OF AL-QUEDA SUMMIT,CAR VISIT WITH','communicates about the summit to somebody who takes a car ride'),('CALLEE OF AL-QUEDA SUMMIT,READY FOR ATTACK','calls to inform about the summit to somebody who has got a final call'),('CAR VISIT WITH,CALLER OF AL-QUEDA SUMMIT','goes for a car ride with somebody who is a caller of al-queda summit'),('HAMZA ALHAMDHI,HAMZA ALHAMDHI','hamza alhamdi'),('KAM,KAM','Khallid Al-mihdhar'),('LIVE TOGETHER,CAR VISIT WITH','lives together with somebody who takes a car ride'),('LIVE TOGETHER,FLIGHT CLASS','	lives together with somebody who has taken flight class'),('LIVE TOGETHER,FLIGHT PRACTICE','lives together with somebody who has gone for flight practices'),('LIVE TOGETHER,MEETING','lives together with somebody who has gone for meeting'),('LIVE TOGETHER,PILOT PROGRAM',' lives together with somebody who has taken pilot class'),('MOHALD,MOHALD','mohald'),('NAWAF,NAWAF','nawaf'),('RAMZI','ramzi'),('SALEEM','saleem');

--
-- Table structure for table `condenserulesall`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE IF NOT EXISTS `condenserulesall` (
  `rule` varchar(500) DEFAULT NULL,
  `explanation` varchar(500) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `condenserulesall`
--

INSERT INTO `condenserulesall` (`rule`, `explanation`) VALUES ('ALHAZNAWI,ALHAZNAWI','forms a strongly communicating loop'),('ALNAMI,ALNAMI','forms a strongly communicating loop'),('ATTA,ATTA','forms a strongly communicating loop'),('BROTHER OF,READY FOR ATTACK','is a brother of somebody who gets a final call for attack'),('CALLEE OF AL-QUEDA SUMMIT,CAR VISIT WITH','communicates about the summit to somebody who goes to one of the target locations'),('CALLEE OF AL-QUEDA SUMMIT,READY FOR ATTACK','calls to inform about the summit to somebody who has gets final acknowledgement for attack'),('CAR VISIT WITH, CAR VISIT WITH','takes car ride for one of the target locations'),('CAR VISIT WITH, FLIGHT CLASS','goes for a car ride to the target location with somebody who has taken flight class'),('CAR VISIT WITH, FLIGHT PRACTICE','goes for a car ride to the target location with somebody who has taken flight training'),('CAR VISIT WITH, MEETING','takes a car journey with somebody who has attended a crucial meeting'),('CAR VISIT WITH, PILOT PROGRAM','takes a car journey with somebody who has taken pilot training'),('CAR VISIT WITH, READY FOR ATTACK','takes a car journey with somebody who has got final acknowledgement for attack'),('CAR VISIT WITH,CALLER OF AL-QUEDA SUMMIT','takes a car journey with somebody who has with somebody who is a caller of al-queda summit'),('FLIGHT CLASS, CAR VISIT WITH','takes a flight class with somebody  who goes for a car visit'),('FLIGHT CLASS, FLIGHT CLASS','goes for flight class'),('FLIGHT CLASS, FLIGHT PRACTICE','goes for flight class with somebody who joins in flight practice sessions'),('FLIGHT CLASS, MEETING','goes for flight class with an attendee of  a meeting'),('FLIGHT CLASS, PILOT PROGRAM','goes for flight class with somebody who has taken pilot program'),('FLIGHT CLASS, PILOT PROGRAM','takes flight class with somebody who has accompanies in pilot programs'),('FLIGHT CLASS, READY FOR ATTACK','takes a flight class with somebody  who gets a final call for attack'),('FLIGHT PRACTICE, CAR VISIT WITH','takes a flight practice with somebody  who also accompanies him to the target location'),('FLIGHT PRACTICE, FLIGHT CLASS','goes for practice sessions with somebody who also goes for flight class'),('FLIGHT PRACTICE, FLIGHT PRACTICE','goes for flight practice'),('FLIGHT PRACTICE, MEETING','goes for flight practice with an attendee of  a crucial meeting'),('FLIGHT PRACTICE, PILOT PROGRAM','goes for flight practice with somebody who has pilot knowledge'),('FLIGHT PRACTICE, READY FOR ATTACK','takes up a flight practice session with somebody who gets a final call for attack'),('HAMZA ALHAMDHI,HAMZA ALHAMDHI','forms a strongly communicating loop'),('KAM,KAM','forms a strongly communicating loop'),('LIVE TOGETHER,CAR VISIT WITH','lives together with somebody who takes a car ride to the target location'),('LIVE TOGETHER,FLIGHT CLASS','lives together with somebody who has taken flight class'),('LIVE TOGETHER,FLIGHT PRACTICE','lives together with somebody who has gone for flight practices'),('LIVE TOGETHER,MEETING','lives together with somebody who has gone for crucial meeting'),('LIVE TOGETHER,PILOT PROGRAM','lives together with somebody who has taken pilot class'),('MEETING, CAR VISIT WITH','attends a meeting with somebody who takes up a car visit to the target location'),('MEETING, FLIGHT CLASS','attends a meeting with somebody who has taken flight class'),('MEETING, FLIGHT PRACTICE','attends a meeting with somebody who has taken flight practice'),('MEETING, MEETING','attends a critical meeting with some body at some place'),('MEETING, PILOT PROGRAM','attends a meeting with somebody who has taken pilot training'),('MEETING, READY FOR ATTACK','attends a meeting with somebody who gets a final call for attack'),('MOHALD,MOHALD','forms a strongly communicating loop'),('NAWAF,NAWAF','forms a strongly communicating loop'),('PILOT PROGRAM , CAR VISIT WITH','takes pilot program with somebody who takes a car visit to the target location'),('PILOT PROGRAM , FLIGHT CLASS','takes pilot program with somebody who takes flight class'),('PILOT PROGRAM , FLIGHT PRACTICE','takes pilot program with somebody who gets flight practice'),('PILOT PROGRAM , MEETING','goes for pilot program with an attendee of  a crucial meeting'),('PILOT PROGRAM , PILOT PROGRAM','takes a pilot training program'),('PILOT PROGRAM , READY FOR ATTACK','takes up a pilot class with somebody who gets a final call for attack'),('PILOT PROGRAM, CAR VISIT WITH','takes a pilot program with somebody  who goes for a car visit to target location'),('RAMZI','communicates with MUSCLE'),('READY FOR ATTACK, CAR VISIT WITH','gets final call for attack and takes car visit to the target location with somebody'),('READY FOR ATTACK, FLIGHT CLASS','converses a final call to somebody who has taken a flight class'),('READY FOR ATTACK, FLIGHT PRACTICE','converses a final call to somebody who has taken a flight practice'),('READY FOR ATTACK, MEETING','gets final call with somebody who attends a crucial meeting'),('READY FOR ATTACK, PILOT PROGRAM','converses a final call to somebody who has taken a pilot program'),('READY FOR ATTACK, READY FOR ATTACK',' gets a final acknowledgment for attack'),('SALEEM','communicates with MUSCLE'),('STAMPING_AT,STAMPING_AT','gets visa stamping');

--
-- Table structure for table `featureslist`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE IF NOT EXISTS `featureslist` (
  `feature` varchar(100) DEFAULT NULL,
  `outlier` int(11) DEFAULT NULL,
  `reference` int(11) DEFAULT NULL,
  `normal` int(11) DEFAULT NULL,
  `id` int(10) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `featureslist`
--

INSERT INTO `featureslist` (`feature`, `outlier`, `reference`, `normal`, `id`) VALUES ('![MEETING,MEETING,MEETING,MEETING,]',0,0,0,1),('[CAR VISIT WITH,CAR VISIT WITH,MEETING,MEETING,]',0,0,0,2),('[READY FOR ATTACK,READY FOR ATTACK,CAR VISIT WITH,PILOT PROGRAM,]',0,0,0,3),('[READY FOR ATTACK,READY FOR ATTACK,CAR VISIT WITH,FLIGHT CLASS,]',0,0,0,4),('[READY FOR ATTACK,CAR VISIT WITH,CAR VISIT WITH,FLIGHT PRACTICE,]',0,0,0,5),('[READY FOR ATTACK,CAR VISIT WITH,CAR VISIT WITH,PILOT PROGRAM,]',0,0,0,6),('[READY FOR ATTACK,CAR VISIT WITH,PILOT PROGRAM,MEETING,]',0,0,0,7),('[READY FOR ATTACK,CAR VISIT WITH,CAR VISIT WITH,FLIGHT CLASS,]',0,0,0,8),('[READY FOR ATTACK,CAR VISIT WITH,MEETING,MEETING,]',0,0,0,9),('[READY FOR ATTACK,CAR VISIT WITH,FLIGHT CLASS,MEETING,]',0,0,0,10),('[READY FOR ATTACK,CAR VISIT WITH,FLIGHT PRACTICE,MEETING,]',0,0,0,11),('[MEETING,CAR VISIT WITH,CAR VISIT WITH,READY FOR ATTACK,]',0,0,0,12),('[MEETING,MEETING,MEETING,MEETING,]',0,0,0,13),('[READY FOR ATTACK,READY FOR ATTACK,CAR VISIT WITH,FLIGHT PRACTICE,]',0,0,0,14);

--
-- Table structure for table `id3_sonmine`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE IF NOT EXISTS `id3_sonmine` (
  `nodename` int(10) DEFAULT NULL,
  `feature1` varchar(50) DEFAULT NULL,
  `feature2` varchar(50) DEFAULT NULL,
  `feature3` varchar(50) DEFAULT NULL,
  `feature4` varchar(50) DEFAULT NULL,
  `feature5` varchar(50) DEFAULT NULL,
  `feature6` varchar(50) DEFAULT NULL,
  `feature7` varchar(50) DEFAULT NULL,
  `feature8` varchar(50) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `id3_sonmine`
--

INSERT INTO `id3_sonmine` (`nodename`, `feature1`, `feature2`, `feature3`, `feature4`, `feature5`, `feature6`, `feature7`, `feature8`) VALUES (1,'0.1481473023293475','0.4038676171807038','-0.3303640456514111','0','0','0','0.004287092481340961','0'),(2,'0.33503852980338594','0','0.04383482537727326','0.16378221134782447','0','0','0','0'),(3,'0','0','-0.025268952568649517','0','0','0','0.2772332212120229','0'),(4,'0','0','0','0.21281938987504975','0.40347582257940406','0','0','0.32181730585432977'),(5,'0','0','-0.01899360049350389','0.15496286965511527','0','0','0','0.38729947855439645'),(6,'0','0','0','0.14800994050602514','0','0','0','0.25409898997794667'),(7,'0','0','0.19332153353465148','0','0','0.37875999726037646','0','0'),(8,'0','0','-0.03510069904836902','0','0','0','0','0'),(9,'0','0','0','0.07664052135775452','0','0','0','0.235191551817846'),(10,'0','0','-0.03510069904836902','0','0','0','0','0'),(11,'0','0','-0.03510069904836902','0','0','0','0','0'),(12,'0','0','-0.03510069904836902','0','0','0','0','0'),(13,'0','0','-0.3511590496541419','0','0','0','0','0');

--
-- Table structure for table `nlp`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE IF NOT EXISTS `nlp` (
  `number` int(11) NOT NULL AUTO_INCREMENT,
  `pathtype` varchar(100) DEFAULT NULL,
  `node1` varchar(50) DEFAULT NULL,
  `node2` varchar(50) DEFAULT NULL,
  `node3` varchar(50) DEFAULT NULL,
  `node4` varchar(50) DEFAULT NULL,
  `node5` varchar(50) DEFAULT NULL,
  `node6` varchar(50) DEFAULT NULL,
  `node7` varchar(50) DEFAULT NULL,
  `node8` varchar(50) DEFAULT NULL,
  `node9` varchar(50) DEFAULT NULL,
  `node10` varchar(50) DEFAULT NULL,
  `node11` varchar(50) DEFAULT NULL,
  `node12` varchar(50) DEFAULT NULL,
  `node13` varchar(50) DEFAULT NULL,
  `topper` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`number`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `nlp`
--

INSERT INTO `nlp` (`number`, `pathtype`, `node1`, `node2`, `node3`, `node4`, `node5`, `node6`, `node7`, `node8`, `node9`, `node10`, `node11`, `node12`, `node13`, `topper`) VALUES (1,'[READY FOR ATTACK,READY FOR ATTACK,CAR VISIT WITH,MEETING,]','0.1481473023293475','0.33503852980338594','0','0','0','0','0','0','0','0','0','0','0','node7'),(2,'[NAWAF,NAWAF,]','0.4038676171807038','0','0','0','0','0','0','0','0','0','0','0','0','node13'),(3,'[READY FOR ATTACK,CAR VISIT WITH,MEETING,MEETING,]','0.38655516625815595','0','0','0','0','0','0','0','0','0','0','0','0','node13'),(4,'![MEETING,MEETING,MEETING,MEETING,]','-0.3303640456514111','0.04383482537727326','-0.025268952568649517','0','-0.01899360049350389','0','0.19332153353465148','-0.03510069904836902','0','-0.03510069904836902','-0.03510069904836902','-0.03510069904836902','-0.3511590496541419','node13'),(5,'[CAR VISIT WITH,CAR VISIT WITH,MEETING,MEETING,]','0.004287092481340961','0','0.2772332212120229','0','0','0','0','0','0','0','0','0','0.6267700931716268','node13'),(6,'[KAM,KAM,]','0',' 0.3597599279485127','0','0','0','0','0','0','0','0','0','0','0','node13'),(7,'[READY FOR ATTACK,READY FOR ATTACK,CAR VISIT WITH,PILOT PROGRAM ,]','0',' 0.2795115551817341','0','0','0','0','0','0','0','0','0','0','0','node13'),(8,'[READY FOR ATTACK,READY FOR ATTACK,CAR VISIT WITH,FLIGHT PRACTICE,]','0',' 0.2795115551817341','0','0','0','0','0','0','0','0','0','0','0','node13'),(9,'[SALEEM,]','0',' -0.16119212347979814','0.19051318118439525','0.13546905033131923','0.15587832447705094','-0.02416825440069792','0.9964769932807168','-0.04020157763617342','-0.08483370895169853',' -0.04020157763617342','-0.04020157763617342','-0.04020157763617342','-0.13537691590109716','node13'),(10,'[READY FOR ATTACK,CAR VISIT WITH,CAR VISIT WITH,MEETING,]','0',' 0.4539503172836244','0','0','0','0','0','0','0','0','0','0','0','node13'),(11,'[READY FOR ATTACK,READY FOR ATTACK,CAR VISIT WITH,FLIGHT CLASS,]','0',' 0.2795115551817341','0','0','0','0','0','0','0','0','0','0','0','node13'),(12,'[READY FOR ATTACK,CAR VISIT WITH,CAR VISIT WITH,FLIGHT PRACTICE,]','0',' 0.2795115551817341','0','0','0','0','0','0','0','0','0','0','0','node13'),(13,'[READY FOR ATTACK,CAR VISIT WITH,CAR VISIT WITH,PILOT PROGRAM ,]','0',' 0.2795115551817341','0','0','0','0','0','0','0','0','0','0','0','node13'),(14,'[READY FOR ATTACK,CAR VISIT WITH,PILOT PROGRAM ,MEETING,]','0',' 0.30921715005804457','0','0','0','0','0','0','0','0','0','0','0','node13'),(15,'[READY FOR ATTACK,CAR VISIT WITH,CAR VISIT WITH,FLIGHT CLASS,]','0',' 0.2795115551817341','0','0','0','0','0','0','0','0','0','0','0','node13');

--
-- Table structure for table `sid3domino`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE IF NOT EXISTS `sid3domino` (
  `nodename` int(10) DEFAULT NULL,
  `feature1` varchar(50) DEFAULT NULL,
  `feature2` varchar(50) DEFAULT NULL,
  `feature3` varchar(50) DEFAULT NULL,
  `feature4` varchar(50) DEFAULT NULL,
  `feature5` varchar(50) DEFAULT NULL,
  `feature6` varchar(50) DEFAULT NULL,
  `feature7` varchar(50) DEFAULT NULL,
  `feature8` varchar(50) DEFAULT NULL,
  `feature9` varchar(50) DEFAULT NULL,
  `feature10` varchar(50) DEFAULT NULL,
  `feature11` varchar(50) DEFAULT NULL,
  `feature12` varchar(50) DEFAULT NULL,
  `feature13` varchar(50) DEFAULT NULL,
  `feature14` varchar(50) DEFAULT NULL,
  `feature15` varchar(50) DEFAULT NULL,
  `feature16` varchar(50) DEFAULT NULL,
  `feature17` varchar(50) DEFAULT NULL,
  `feature18` varchar(50) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sid3domino`
--

INSERT INTO `sid3domino` (`nodename`, `feature1`, `feature2`, `feature3`, `feature4`, `feature5`, `feature6`, `feature7`, `feature8`, `feature9`, `feature10`, `feature11`, `feature12`, `feature13`, `feature14`, `feature15`, `feature16`, `feature17`, `feature18`) VALUES (1,'0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0'),(2,'0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0'),(3,'0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0'),(4,'0','0','0','0.21281938987504975','0.40347582257940406','0','0','0','0','0','0','0','0','0','0','0','0.32181730585432977','0'),(5,'0','0','0.01899360049350389','0.15496286965511527','0','0','0','0','0','0','0','0','0','0','0','0','0.38729947855439645','0'),(6,'0','0','0','0.14800994050602514','0','0','0','0','0','0','0','0','0','0','0','0','0.25409898997794667','0'),(7,'0','0','0.19332153353465148','0','0','0.37875999726037646','0','0','0','0','0','0','0','0','0','0','0','0'),(8,'0','0','-0.03510069904836902','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0'),(9,'0','0','0','0.07664052135775452','0','0','0','0','0','0','0','0','0','0','0','0','0.235191551817846','0'),(10,'0','0','-0.03510069904836902','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0'),(11,'0','0','-0.03510069904836902','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0'),(12,'0','0','-0.03510069904836902','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0'),(13,'0','0','0.3511590496541419','0','0','0','0.6267700931716268','0','0','0','0','0','0','0','0','0','0','0');

--
-- Table structure for table `sonmine`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE IF NOT EXISTS `sonmine` (
  `nodename` int(10) DEFAULT NULL,
  `feature1` varchar(50) DEFAULT NULL,
  `feature2` varchar(50) DEFAULT NULL,
  `feature3` varchar(50) DEFAULT NULL,
  `feature4` varchar(50) DEFAULT NULL,
  `feature5` varchar(50) DEFAULT NULL,
  `feature6` varchar(50) DEFAULT NULL,
  `feature7` varchar(50) DEFAULT NULL,
  `feature8` varchar(50) DEFAULT NULL,
  `feature9` varchar(50) DEFAULT NULL,
  `feature10` varchar(50) DEFAULT NULL,
  `feature11` varchar(50) DEFAULT NULL,
  `feature12` varchar(50) DEFAULT NULL,
  `feature13` varchar(50) DEFAULT NULL,
  `feature14` varchar(50) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sonmine`
--

INSERT INTO `sonmine` (`nodename`, `feature1`, `feature2`, `feature3`, `feature4`, `feature5`, `feature6`, `feature7`, `feature8`, `feature9`, `feature10`, `feature11`, `feature12`, `feature13`, `feature14`) VALUES (1,'-0.3303640456514111','0.004287092481340961','0','0','0','0','0','0','0','0','0','0','0','0'),(2,'0.04383482537727326','0','0.2795115551817341','0.2795115551817341','0.2795115551817341','0.2795115551817341','0.30921715005804457','0.2795115551817341','0.34404412930749295','0.30921715005804457','0.30921715005804457','0.16378221134782447','0','0.2795115551817341'),(3,'-0.025268952568649517','0.2772332212120229','0','0','0','0','0','0','0','0','0','0','0','0'),(4,'0','0','0','0','0','0','0','0','0','0','0','0.21281938987504975','0.32181730585432977','0'),(5,'-0.01899360049350389','0','0','0','0','0','0','0','0','0','0','0.15496286965511527','0.38729947855439645','0'),(6,'0','0','0','0','0','0','0','0','0','0','0','0.14800994050602514','0.25409898997794667','0'),(7,'0.19332153353465148','0','0','0','0','0','0','0','0','0','0','0','0','0'),(8,'-0.03510069904836902','0','0','0','0','0','0','0','0','0','0','0','0','0'),(9,'0','0','0','0','0','0','0','0','0','0','0','0.07664052135775452','0.235191551817846','0'),(10,'-0.03510069904836902','0','0','0','0','0','0','0','0','0','0','0','0','0'),(11,'-0.03510069904836902','0','0','0','0','0','0','0','0','0','0','0','0','0'),(12,'-0.03510069904836902','0','0','0','0','0','0','0','0','0','0','0','0','0'),(13,'-0.3511590496541419','0.6267700931716268','0','0','0','0','0','0','0','0','0','0','0','0');

--
-- Table structure for table `sonmine38`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE IF NOT EXISTS `sonmine38` (
  `nodename` int(10) DEFAULT NULL,
  `feature1` varchar(50) DEFAULT NULL,
  `feature2` varchar(50) DEFAULT NULL,
  `feature3` varchar(50) DEFAULT NULL,
  `feature4` varchar(50) DEFAULT NULL,
  `feature5` varchar(50) DEFAULT NULL,
  `feature6` varchar(50) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sonmine38`
--

INSERT INTO `sonmine38` (`nodename`, `feature1`, `feature2`, `feature3`, `feature4`, `feature5`, `feature6`) VALUES (1,'0.1481473023293475','0','0','0','0','0'),(2,'0.33503852980338594','-0.16119212347979814','0','0','0','0'),(3,'0','0.19051318118439525','0','0','0','0'),(4,'0','0.13546905033131923','0.2821434053648632','0','0','0'),(5,'0','0.15587832447705094','0','0.3232654856968794','0','0'),(6,'0','-0.02416825440069792','0.2524673382656283','0.2524673382656283','0','0'),(7,'0','0.9964769932807168','0','0','0','0'),(8,'0','-0.04020157763617342','0','0','0.39967994713816496','0'),(9,'0','-0.08483370895169853','0','0','0','0'),(10,'0','-0.04020157763617342','0','0','0','0'),(11,'0','-0.04020157763617342','0','0','0','0'),(12,'0','-0.04020157763617342','0','0','0','0'),(13,'0','-0.13537691590109716','0','0','0','0'),(14,'0','0','0','0','0','0.00123288985738561758064496537584'),(15,'0','0','0','0','0','0.0036780201853829064376285272493'),(16,'0','0','0','0','0','0.01227970444654177431677859848968'),(17,'0','0','0','0','0','0.05777880619821710765254127144348'),(18,'0','0','0','0','0','0.0274655064140639329307917582224'),(19,'0','0','0','0','0','0.0274655064140639329307917582224'),(20,'0','0','0','0','0','0.00736211371981697355299422181571'),(21,'0','0','0','0','0','0.01575669677833126232130688754222'),(22,'0','0','0','0','0','0.0012359265319111979195135490344'),(23,'0','0','0','0','0','0.01348283489357670457651144401162'),(24,'0','0','0','0','0','0.00430600447727292051565162783975'),(25,'0','0','0','0','0','0.01203312647506465080064960541451'),(26,'0','0','0','0','0','0.0211662287782000779818018169031'),(27,'0','0','0','0','0','0.00123349719229073364841868210755'),(28,'0','0','0','0','0','0.0081309997096939153545196041634'),(29,'0','0','0','0','0','0.01082756668840925626982189296573'),(30,'0','0','0','0','0','0.00988680492038446728833467554347'),(31,'0','0','0','0','0','0.01057855937731166848259803296371'),(32,'0','0','0','0','0','0.00430661181217803658342534457146'),(33,'0','0','0','0','0','0.00798584666737117515660130528418'),(34,'0','0','0','0','0','0.03408667154963930379985156734919'),(35,'0','0','0','0','0','0.01372394685090778348267698650137'),(36,'0','0','0','0','0','0.01376403095464544395574229079438'),(37,'0','0','0','0','0','0.01428148029380433369894894621321'),(38,'0','0','0','0','0','0.000000060733490511606777');

--
-- Table structure for table `sonmine_id3_domino`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE IF NOT EXISTS `sonmine_id3_domino` (
  `nodename` int(10) DEFAULT NULL,
  `feature1` varchar(50) DEFAULT NULL,
  `feature2` varchar(50) DEFAULT NULL,
  `feature3` varchar(50) DEFAULT NULL,
  `feature4` varchar(50) DEFAULT NULL,
  `feature5` varchar(50) DEFAULT NULL,
  `feature6` varchar(50) DEFAULT NULL,
  `feature7` varchar(50) DEFAULT NULL,
  `feature8` varchar(50) DEFAULT NULL,
  `feature9` varchar(50) DEFAULT NULL,
  `feature10` varchar(50) DEFAULT NULL,
  `feature11` varchar(50) DEFAULT NULL,
  `feature12` varchar(50) DEFAULT NULL,
  `feature13` varchar(50) DEFAULT NULL,
  `feature14` varchar(50) DEFAULT NULL,
  `feature15` varchar(50) DEFAULT NULL,
  `feature16` varchar(50) DEFAULT NULL,
  `feature17` varchar(50) DEFAULT NULL,
  `feature18` varchar(50) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sonmine_id3_domino`
--

INSERT INTO `sonmine_id3_domino` (`nodename`, `feature1`, `feature2`, `feature3`, `feature4`, `feature5`, `feature6`, `feature7`, `feature8`, `feature9`, `feature10`, `feature11`, `feature12`, `feature13`, `feature14`, `feature15`, `feature16`, `feature17`, `feature18`) VALUES (1,'0.1481473023293475','0.4038676171807038','-0.3303640456514111','0','0','0','0.004287092481340961','0','0','0','0','0','0','0','0','0','0','0'),(2,'0.33503852980338594','0','0.04383482537727326','0.16378221134782447','0','0','0','0.2795115551817341','0.2795115551817341','0.2795115551817341','0.2795115551817341','0.30921715005804457','0.2795115551817341','0.34404412930749295','0.30921715005804457','0.30921715005804457','0','0.2795115551817341'),(3,'0','0','-0.025268952568649517','0','0','0','0.2772332212120229','0','0','0','0','0','0','0','0','0','0','0'),(4,'0','0','0','0.21281938987504975','0.40347582257940406','0','0','0','0','0','0','0','0','0','0','0','0.32181730585432977','0'),(5,'0','0','0.01899360049350389','0.15496286965511527','0','0','0','0','0','0','0','0','0','0','0','0','0.38729947855439645','0'),(6,'0','0','0','0.14800994050602514','0','0','0','0','0','0','0','0','0','0','0','0','0.25409898997794667','0'),(7,'0','0','0.19332153353465148','0','0','0.37875999726037646','0','0','0','0','0','0','0','0','0','0','0','0'),(8,'0','0','-0.03510069904836902','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0'),(9,'0','0','0','0.07664052135775452','0','0','0','0','0','0','0','0','0','0','0','0','0.235191551817846','0'),(10,'0','0','-0.03510069904836902','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0'),(11,'0','0','-0.03510069904836902','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0'),(12,'0','0','-0.03510069904836902','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0'),(13,'0','0','0.3511590496541419','0','0','0','0.6267700931716268','0','0','0','0','0','0','0','0','0','0','0');

--
-- Table structure for table `sonmine_nlp`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE IF NOT EXISTS `sonmine_nlp` (
  `number` int(11) NOT NULL AUTO_INCREMENT,
  `pathtype` varchar(100) DEFAULT NULL,
  `node1` varchar(50) DEFAULT NULL,
  `node2` varchar(50) DEFAULT NULL,
  `node3` varchar(50) DEFAULT NULL,
  `node4` varchar(50) DEFAULT NULL,
  `node5` varchar(50) DEFAULT NULL,
  `node6` varchar(50) DEFAULT NULL,
  `node7` varchar(50) DEFAULT NULL,
  `node8` varchar(50) DEFAULT NULL,
  `node9` varchar(50) DEFAULT NULL,
  `node10` varchar(50) DEFAULT NULL,
  `node11` varchar(50) DEFAULT NULL,
  `node12` varchar(50) DEFAULT NULL,
  `node13` varchar(50) DEFAULT NULL,
  `topper` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`number`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sonmine_nlp`
--

INSERT INTO `sonmine_nlp` (`number`, `pathtype`, `node1`, `node2`, `node3`, `node4`, `node5`, `node6`, `node7`, `node8`, `node9`, `node10`, `node11`, `node12`, `node13`, `topper`) VALUES (1,'![MEETING,MEETING,MEETING,MEETING,]','0.03303640456514111','0.04383482537727326','-0.025268952568649517','0','-0.01899360049350389','0','0.19332153353465148','-0.03510069904836902','0','-0.03510069904836902','-0.03510069904836902','-0.03510069904836902','-0.3511590496541419','node7'),(2,' [CAR VISIT WITH,CAR VISIT WITH,MEETING,MEETING,]','0.004287092481340961','0','0.2772332212120229','0','0','0','0','0','0','0','0','0','0.6267700931716268','node13'),(3,' [READY FOR ATTACK,READY FOR ATTACK,CAR VISIT WITH,PILOT PROGRAM ,]','0','0.2795115551817341','0','0','0','0','0','0','0','0','0','0','0','node13'),(4,' [READY FOR ATTACK,READY FOR ATTACK,CAR VISIT WITH,FLIGHT PRACTICE,]','0','0.2795115551817341','0','0','0','0','0','0','0','0','0','0','0','node13'),(5,' [READY FOR ATTACK,READY FOR ATTACK,CAR VISIT WITH,FLIGHTCLASS,]','0','0.2795115551817341','0','0','0','0','0','0','0','0','0','0','0','node13'),(6,' [READY FOR ATTACK,CAR VISIT WITH,CAR VISIT WITH,FLIGHT PRACTICE,]','0','0.2795115551817341','0','0','0','0','0','0','0','0','0','0','0','node13'),(7,' [READY FOR ATTACK,CAR VISIT WITH,CAR VISIT WITH,PILOT PROGRAM ,]','0','0.2795115551817341','0','0','0','0','0','0','0','0','0','0','0','node13'),(8,' [READY FOR ATTACK,CAR VISIT WITH,PILOT PROGRAM ,MEETING,]','0','0.2795115551817341','0','0','0','0','0','0','0','0','0','0','0','node13'),(9,' [READY FOR ATTACK,CAR VISIT WITH,CAR VISIT WITH,FLIGHT CLASS,]','0','0.2795115551817341','0','0','0','0','0','0','0','0','0','0','0','node13'),(10,' [READY FOR ATTACK,CAR VISIT WITH,MEETING,MEETING,]','0',' 0.34404412930749295','0','0','0','0','0','0','0','0','0','0','0','node13'),(11,'[READY FOR ATTACK,CAR VISIT WITH,FLIGHT CLASS,MEETING,]\n','0',' 0.30921715005804457','0','0','0','0','0','0','0','0','0','0','0','node13'),(12,'[READY FOR ATTACK,CAR VISIT WITH,FLIGHT PRACTICE,MEETING,]','0',' 0.30921715005804457','0','0','0','0','0','0','0','0','0','0','0','node13'),(13,'[MEETING,CAR VISIT WITH,CAR VISIT WITH,READY FOR ATTACK,]','0','0.16378221134782447','0','0.21281938987504975','0.15496286965511527','0.14800994050602514','0','0','0.07664052135775452','0','0','0','0','node13'),(14,' [MEETING,MEETING,MEETING,MEETING,]','0','0','0','0.32181730585432977','0.38729947855439645','0.25409898997794667','0','0','0.235191551817846','0','0','0','0','node13');

--
-- Table structure for table `sonmineall`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE IF NOT EXISTS `sonmineall` (
  `nodename` int(10) DEFAULT NULL,
  `feature1` varchar(50) DEFAULT NULL,
  `feature2` varchar(50) DEFAULT NULL,
  `feature3` varchar(50) DEFAULT NULL,
  `feature4` varchar(50) DEFAULT NULL,
  `feature5` varchar(50) DEFAULT NULL,
  `feature6` varchar(50) DEFAULT NULL,
  `feature7` varchar(50) DEFAULT NULL,
  `feature8` varchar(50) DEFAULT NULL,
  `feature9` varchar(50) DEFAULT NULL,
  `feature10` varchar(50) DEFAULT NULL,
  `feature11` varchar(50) DEFAULT NULL,
  `feature12` varchar(50) DEFAULT NULL,
  `feature13` varchar(50) DEFAULT NULL,
  `feature14` varchar(50) DEFAULT NULL,
  `feature15` varchar(50) DEFAULT NULL,
  `feature16` varchar(50) DEFAULT NULL,
  `feature17` varchar(50) DEFAULT NULL,
  `feature18` varchar(50) DEFAULT NULL,
  `feature19` varchar(50) DEFAULT NULL,
  `feature20` varchar(50) DEFAULT NULL,
  `feature21` varchar(50) DEFAULT NULL,
  `feature22` varchar(50) DEFAULT NULL,
  `feature23` varchar(50) DEFAULT NULL,
  `feature24` varchar(50) DEFAULT NULL,
  `feature25` varchar(50) DEFAULT NULL,
  `feature26` varchar(50) DEFAULT NULL,
  `feature27` varchar(50) DEFAULT NULL,
  `feature28` varchar(50) DEFAULT NULL,
  `feature29` varchar(50) DEFAULT NULL,
  `feature30` varchar(50) DEFAULT NULL,
  `feature31` varchar(50) DEFAULT NULL,
  `feature32` varchar(50) DEFAULT NULL,
  `feature33` varchar(50) DEFAULT NULL,
  `feature34` varchar(50) DEFAULT NULL,
  `feature35` varchar(50) DEFAULT NULL,
  `feature36` varchar(50) DEFAULT NULL,
  `feature37` varchar(50) DEFAULT NULL,
  `feature38` varchar(50) DEFAULT NULL,
  `feature39` varchar(50) DEFAULT NULL,
  `feature40` varchar(50) DEFAULT NULL,
  `feature41` varchar(50) DEFAULT NULL,
  `feature42` varchar(50) DEFAULT NULL,
  `feature43` varchar(50) DEFAULT NULL,
  `feature44` varchar(50) DEFAULT NULL,
  `feature45` varchar(50) DEFAULT NULL,
  `feature46` varchar(50) DEFAULT NULL,
  `feature47` varchar(50) DEFAULT NULL,
  `feature48` varchar(50) DEFAULT NULL,
  `feature49` varchar(50) DEFAULT NULL,
  `feature50` varchar(50) DEFAULT NULL,
  `feature51` varchar(50) DEFAULT NULL,
  `feature52` varchar(50) DEFAULT NULL,
  `feature53` varchar(50) DEFAULT NULL,
  `feature54` varchar(50) DEFAULT NULL,
  `feature55` varchar(50) DEFAULT NULL,
  `feature56` varchar(50) DEFAULT NULL,
  `feature57` varchar(50) DEFAULT NULL,
  `feature58` varchar(50) DEFAULT NULL,
  `feature59` varchar(50) DEFAULT NULL,
  `feature60` varchar(50) DEFAULT NULL,
  `feature61` varchar(50) DEFAULT NULL,
  `feature62` varchar(50) DEFAULT NULL,
  `feature63` varchar(50) DEFAULT NULL,
  `feature64` varchar(50) DEFAULT NULL,
  `feature65` varchar(50) DEFAULT NULL,
  `feature66` varchar(50) DEFAULT NULL,
  `feature67` varchar(50) DEFAULT NULL,
  `feature68` varchar(50) DEFAULT NULL,
  `feature69` varchar(50) DEFAULT NULL,
  `feature70` varchar(50) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sonmineall`
--

INSERT INTO `sonmineall` (`nodename`, `feature1`, `feature2`, `feature3`, `feature4`, `feature5`, `feature6`, `feature7`, `feature8`, `feature9`, `feature10`, `feature11`, `feature12`, `feature13`, `feature14`, `feature15`, `feature16`, `feature17`, `feature18`, `feature19`, `feature20`, `feature21`, `feature22`, `feature23`, `feature24`, `feature25`, `feature26`, `feature27`, `feature28`, `feature29`, `feature30`, `feature31`, `feature32`, `feature33`, `feature34`, `feature35`, `feature36`, `feature37`, `feature38`, `feature39`, `feature40`, `feature41`, `feature42`, `feature43`, `feature44`, `feature45`, `feature46`, `feature47`, `feature48`, `feature49`, `feature50`, `feature51`, `feature52`, `feature53`, `feature54`, `feature55`, `feature56`, `feature57`, `feature58`, `feature59`, `feature60`, `feature61`, `feature62`, `feature63`, `feature64`, `feature65`, `feature66`, `feature67`, `feature68`, `feature69`, `feature70`) VALUES (1,'0.1481473023293475','0.4038676171807038','0.38655516625815595','-0.3303640456514111','0.004287092481340961','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0'),(2,'0.33503852980338594','0','0','0.04383482537727326','0','0.3597599279485127','0.2795115551817341','0.2795115551817341','-0.16119212347979814','0.4539503172836244','0.2795115551817341','0.2795115551817341','0.2795115551817341','0.30921715005804457','0.2795115551817341','0.30921715005804457','0.30921715005804457','0.16378221134782447','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0'),(3,'0','0','0','-0.025268952568649517','0.2772332212120229','0','0','0','0.19051318118439525','0','0','0','0','0','0','0','0','0','0.7117987000002981','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0'),(4,'0','0','0','0','0','0','0','0','0.13546905033131923','0','0','0','0','0','0','0','0','0.21281938987504975','0','0.32181730585432977','0.23221243948628081','0.40347582257940406','0.24626962748873982','0.40347582257940406','0.40347582257940406','0.2821434053648632','0.40347582257940406','0.40347582257940406','0.40347582257940406','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0'),(5,'0','0','0','-0.01899360049350389','0','0','0','0','0.15587832447705094','0','0','0','0','0','0','0','0','0.15496286965511527','0','0.38729947855439645','0.3326076783086766','0','0.3383565320361554','0.21713081492291678','0','0','0','0','0','0.3232654856968794','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0'),(6,'0','0','0','0','0','0','0','0','-0.02416825440069792','0','0','0','0','0','0','0','0','0.14800994050602514','0','0.25409898997794667','0.23566449193054886','0','0.23889281085877553','0.21429893644523285','0','0.2524673382656283','0','0','0','0.2524673382656283','0.34853443826552893','0.34853443826552893','0.34853443826552893','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0'),(7,'0','0','0','0.19332153353465148','0','0','0','0','0.9964769932807168','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0.37875999726037646','0.5711868487614904','0.5711868487614904','0.4238001196826472','0.5028457947533448','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0'),(8,'0','0','0','-0.03510069904836902','0','0','0','0','-0.04020157763617342','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0.39967994713816496','0.07645478539480768','0.07645478539480768','0.07645478539480768','0.09047459086056232','0.08163636575454454','0.08372312634011311','0.07645478539480768','0.07645478539480768','0.07645478539480768','0.09047459086056232','0.07645478539480768','0.07645478539480768','0.07645478539480768','0.07645478539480768','0.07645478539480768','0.07391739574223533','0.09047459086056232','0.07645478539480768','0.07645478539480768','0.07645478539480768','0.07391739574223533','0.09047459086056232','0.09047459086056232','0.07645478539480768','0.08372312634011311','0','0','0.1158623937930529','0','0','0.20846871566913344'),(9,'0','0','0','0','0','0','0','0','-0.08483370895169853','0','0','0','0','0','0','0','0','0.07664052135775452','0','0.235191551817846','0.20054340665407824','0','0.20749772121856375','0.13880846662555607','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0'),(10,'0','0','0','-0.03510069904836902','0','0','0','0','-0.04020157763617342','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','-0.026957104119086906','-0.026957104119086906','-0.026957104119086906','0','0.06209973814504927','0.06645269534772737','-0.026957104119086906','-0.026957104119086906','-0.026957104119086906','0','-0.026957104119086906','-0.026957104119086906','-0.026957104119086906','-0.06441988750560651','-0.026957104119086906','0.007154157861592097','0','-0.026957104119086906','-0.026957104119086906','-0.026957104119086906','0.007154157861592097','0','0','-0.026957104119086906','	0.06645269534772737','0.39967994713816496','0','0.10959470150113637','0','0','0.20846871566913344'),(11,'0','0','0','-0.03510069904836902','0','0','0','0','-0.04020157763617342','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0.07645478539480768','0.07645478539480768','0.07645478539480768','0.09047459086056232','0.08163636575454454','0.08372312634011311','0.07645478539480768','0.07645478539480768','0.07645478539480768','0.09047459086056232','0.07645478539480768','0.07645478539480768','0.07645478539480768','0.07645478539480768','0.07645478539480768','	0.07391739574223533','0.09047459086056232','0.07645478539480768','0.07645478539480768','0.07645478539480768','0.07391739574223533','0.09047459086056232','0.09047459086056232','0.07645478539480768','0.08372312634011311','0','0.39967994713816496','0.1158623937930529','0','0','0.20846871566913344'),(12,'0','0','0','-0.03510069904836902','0','0','0','0','-0.04020157763617342','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0.07645478539480768','0.07645478539480768','0.07645478539480768','0.09047459086056232','0.08163636575454454','0.08372312634011311','0.07645478539480768','0.07645478539480768','0.07645478539480768','0.09047459086056232','0.07645478539480768','0.07645478539480768','0.07645478539480768','0.07645478539480768','0.07645478539480768','0.07391739574223533','0.09047459086056232','0.07645478539480768','0.07645478539480768','0.07645478539480768','0.07391739574223533','0.09047459086056232','0.09047459086056232','0.07645478539480768','0.08372312634011311','0','0','0.1158623937930529','0.39967994713816','0','0.20846871566913344'),(13,'0','0','0','-0.3511590496541419','0.6267700931716268','0','0','0','-0.13537691590109716','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0.38590860291480567','0');

--
-- Table structure for table `terrorist`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE IF NOT EXISTS `terrorist` (
  `name` varchar(50) DEFAULT NULL,
  `number` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `terrorist`
--

INSERT INTO `terrorist` (`name`, `number`) VALUES ('NAWAF',1),('KAM',2),('ATTA',3),('ZIAD',4),('MARWAN',5),('WALEED',6),('SALEEM',7),('HAMZA',8),('WAIL',9),('MOHALD',10),('ALHAZNAWI',11),('ALNAMI',12),('HANI',13),('BOSNIA',14),('CHECHNYA',15),('AFGHAN',16),('HAMBURG',17),('ARIZONA',18),('GERMANY',19),('YEMEN',20),('JEDDAH',21),('TURKEY',22),('PHILIPINES',23),('SANDIEGO',24),('BROOKLYN',25),('MALAYSIA',26),('LOSANGELS',27),('ATLANTA',28),('FLORIDA',29),('ADEN',30),('MIAMI',31),('VIRGNIA',32),('WASHINGTON',33),('LASVEGAS',34),('NEWYORK',35),('NORTHENSPAIN',36),('BOSTON',37),('SAUDI ARABIA',38);

--
-- Table structure for table `typeofnode`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE IF NOT EXISTS `typeofnode` (
  `nodename` varchar(50) DEFAULT NULL,
  `nodetype` varchar(50) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `typeofnode`
--

INSERT INTO `typeofnode` (`nodename`, `nodetype`) VALUES ('node1','O'),('node2','O'),('node3','O'),('node9','R'),('node10','R'),('node11','R'),('node12','R'),('node13','R'),('node4','N'),('node5','N'),('node6','N'),('node7','N'),('node8','N');

--
-- Table structure for table `typeofnode38`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE IF NOT EXISTS `typeofnode38` (
  `nodename` varchar(50) DEFAULT NULL,
  `nodetype` varchar(50) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `typeofnode38`
--

INSERT INTO `typeofnode38` (`nodename`, `nodetype`) VALUES ('node1','R'),('node2','R'),('node3','R'),('node13','R'),('node4','N'),('node5','N'),('node6','N'),('node7','N'),('node8','N'),('node9','N'),('node14','N'),('node15','N'),('node16','N'),('node17','N'),('node18','N'),('node19','N'),('node20','N'),('node21','N'),('node22','N'),('node23','N'),('node24','N'),('node25','N'),('node26','N'),('node27','N'),('node28','N'),('node29','N'),('node30','N'),('node31','N'),('node32','N'),('node33','N'),('node34','N'),('node35','N'),('node36','N'),('node37','N'),('node38','N'),('node10','O'),('node11','O'),('node12','O');
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2012-04-27 11:10:43

