
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.StringTokenizer;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author Dell
 */
public class GroupPattern {
    
    public void patternMatcher(Connection conn,String table,String patternTbl,String targetTbl,String rel[],int frequent,String pathTbl) throws SQLException{
        int countValue=0,i=0;
        int ptNumber=1;
        int number=0;
        
        Statement selectStmt=conn.createStatement();
        ResultSet patternList=selectStmt.executeQuery("select path from "+patternTbl);
        
        PreparedStatement matchStmt=conn.prepareStatement("select path from "+table+" where path like ? ");
        PreparedStatement insertPatternStmt=conn.prepareStatement("insert into "+targetTbl+" values(?,?,?) ");
        PreparedStatement insertObeyedPathStmt=conn.prepareStatement("insert into "+pathTbl+" values(?,?,?,0) ");
        while(patternList.next()){
            StringTokenizer patternTkn=new StringTokenizer(patternList.getString("path"));
            StringBuffer pattern=new StringBuffer();
            while(patternTkn.hasMoreTokens()){
                i++;
                String tkn=patternTkn.nextToken(" ");
                if(i%2==0){
                    pattern.append(tkn+"(%^");
                }
              
            }
            int index=pattern.lastIndexOf("^");
            pattern.deleteCharAt(index);
            System.out.println("tkn\t"+pattern);
            String patternStr=new String(pattern);
            matchStmt.setString(1,patternStr);
            ResultSet matchedRes=matchStmt.executeQuery();
            matchedRes.last();
            countValue=matchedRes.getRow();
            System.out.println("Pattern:\t"+patternStr+"\tMatched:\t"+countValue);
            if(countValue>0){
                //inserting into group info tbl
                number++;
                insertPatternStmt.setString(1,patternStr);
                insertPatternStmt.setInt(2,ptNumber);
                insertPatternStmt.setInt(3,number);
                insertPatternStmt.executeUpdate();
            }
            matchedRes.first();
            while(matchedRes.next()){
                
                //inserting into pathtbl
                insertObeyedPathStmt.setString(1,matchedRes.getString("path"));
                insertObeyedPathStmt.setInt(2,ptNumber);
                insertObeyedPathStmt.setInt(3,number);
                insertObeyedPathStmt.executeUpdate();
                               
            }
            
        }
        
        PreparedStatement selectPathStmt=conn.prepareStatement("select * from "+targetTbl);
        ResultSet res=selectPathStmt.executeQuery();
        
        while(res.next()){
            
            int numberOfTkn=0;
            String resStmt=res.getString("path");
            int pt=res.getInt("pathtypenumber");
            int newnumber=res.getInt("number");
            
            System.out.println("Path is\t"+resStmt);
            String replacedStr=resStmt.replaceAll("%", "(%,%)");
           
           
            StringBuffer strBuf=new StringBuffer();
            StringTokenizer str=new StringTokenizer(replacedStr);
         
        }
       
         
    }
    
    public void loopMetaConstraint(Connection conn,String patternTbl,String resultPTTbl,String name[],int rows,String pathTbl) throws SQLException{ 
        System.out.println("inside loop metacoinstraints\n");
        int ptNumber=2;
        int number=0;
        PreparedStatement selectStmt=conn.prepareStatement("select path from "+patternTbl+" where path like ? ");
        PreparedStatement insertStmt=conn.prepareStatement("insert into "+resultPTTbl+" values(?,?,?) ");
        PreparedStatement insertPathStmt=conn.prepareStatement("insert into "+pathTbl+" values(?,?,?,0) ");
        for (int i=1;i<=rows;i++){
            String constraint="%("+i+",%)^"+"%(%,%)^"+"%(%,%)^"+"%("+i+",%)";
            System.out.println(constraint);
            selectStmt.setString(1,constraint);
            ResultSet selectSet=selectStmt.executeQuery();
            selectSet.last();
            int count=selectSet.getRow();
            if(count>=1){
                number++;
                System.out.println("count");
                insertStmt.setString(1, constraint);
                insertStmt.setInt(2,ptNumber);
                insertStmt.setInt(3,number);
                insertStmt.executeUpdate();
                
                selectSet.first();
                while(selectSet.next()){
                    insertPathStmt.setString(1,selectSet.getString("path"));
                    insertPathStmt.setInt(2,ptNumber);
                    insertPathStmt.setInt(3,number);
                    insertPathStmt.executeUpdate();
                }
            }
            
        }
    } 
    public void singleRelationMetaConstraint(Connection conn,String patternTbl,String resultPTTbl,String rel[],int rows,int frequent,String pathTbl) throws SQLException{
        PreparedStatement selectStmt=conn.prepareStatement("select path from "+patternTbl+" where path like ? ");
        PreparedStatement insertStmt=conn.prepareStatement("insert into "+resultPTTbl+" values(?,?,?) ");
        PreparedStatement insertPathStmt=conn.prepareStatement("insert into "+pathTbl+" values(?,?,?,0) ");
        int ptNumber=3;
        int number=0;
        for(int i=1;i<=rows;i++){
            StringBuffer singleRel=new StringBuffer();
            for(int j=1;j<frequent;j++){
                singleRel.append(""+i+"(%,%)^");
            }
            singleRel.append(i+"(%,%)");
            String singleRelStr=new String(singleRel);
            selectStmt.setString(1,singleRelStr);
            System.out.println("currenly matching \t"+singleRelStr);
            ResultSet selectSet=selectStmt.executeQuery();
            selectSet.last();
            int count=selectSet.getRow();
            System.out.println("count\t"+count);
            if(count>=1){
                number++;
                System.out.println("single relationpPattern\t"+rel[i]+"\tcount\t"+count);
                singleRelStr.replaceAll("%", "?");
                insertStmt.setString(1,singleRelStr);
                insertStmt.setInt(2,ptNumber);
                insertStmt.setInt(3,number);
                insertStmt.executeUpdate();
                selectSet.first();
                while(selectSet.next()){
                    insertPathStmt.setString(1,selectSet.getString("path"));
                    insertPathStmt.setInt(2,ptNumber);
                    insertPathStmt.setInt(3,number);
                    insertPathStmt.executeUpdate();
                }
            }
        }
    }
    
    public int[] occurenceOfNode(Connection conn,String tbl,int totalNodes,int nodeOccurence[]) throws SQLException{
       
        System.out.println("total number of nodes\t"+totalNodes);
        PreparedStatement selectStmt=conn.prepareStatement("select path from "+tbl+" where path like ? or path like ?");
        
        for(int i=1;i<=totalNodes;i++){
            String searchStr1=i+" "+"%";
            String searchStr2="%"+" "+i+" "+"%";
            selectStmt.setString(1,searchStr1);
            selectStmt.setString(2,searchStr2);
            ResultSet selectRes=selectStmt.executeQuery();
            selectRes.last();
            int count=selectRes.getRow();
            nodeOccurence[i]=count;
            System.out.println("Occurence of "+i+"\tis\t"+nodeOccurence[i]);
        }
        return nodeOccurence;
        
    
    }
    
    public int[] occurenceOfRelation(Connection conn,String tbl,int totalRelations,int relOccurence[]) throws SQLException{
       
       
        System.out.println("total number of nodes\t"+totalRelations);
        PreparedStatement selectStmt=conn.prepareStatement("select path from "+tbl+" where path like ? or path like ?");
        
        for(int i=1;i<=totalRelations;i++){
            String searchStr1=i+"("+"%";
            String searchStr2="%^"+i+"("+"%";
            selectStmt.setString(1,searchStr1);
            selectStmt.setString(2,searchStr2);
            ResultSet selectRes=selectStmt.executeQuery();
            selectRes.last();
            int count=selectRes.getRow();
            relOccurence[i]=count;
            System.out.println("Occurence of "+i+"\tis\t"+relOccurence[i]);
        }
        return relOccurence;
        
    }
    public ArrayList<Integer> findMin(int occurence[],int total,ArrayList<Integer> min){
        int minVal=0;
        for(int i=1;i<=total;i++){
            if(occurence[i]!=0){
                minVal=occurence[i];
                break;
            }
        }
        for(int i=1;i<=total;i++){
            if(occurence[i]!=0)
                if(occurence[i]<minVal){
                    minVal=occurence[i];
                }
            }
        int j=1;
        for(int i=1;i<=total;i++){
            if(occurence[i]==minVal){
                min.add(i);
                System.out.println(i+"\t"+occurence[i]);
            }
        }
        return min;
    }
    public ArrayList<Integer> findMax(int occurence[],int total,ArrayList<Integer> max){
        int maxVal=0;
        for(int i=1;i<=total;i++){
            if(occurence[i]!=0){
                maxVal=occurence[i];
                break;
            }
        }
        for(int i=1;i<=total;i++){
            if(occurence[i]!=0)
                if(occurence[i]>maxVal){
                    maxVal=occurence[i];
                }
            }
        
        for(int i=1;i<=total;i++){
            if(occurence[i]==maxVal){
                max.add(i);
                System.out.println(i+"\t"+occurence[i]);
            }
        }
        return max;
    }
    public void selectionNode(Connection conn,String srcTbl,String resTbl,String name[],ArrayList<Integer> minNd,String pathTbl) throws SQLException{
        
        PreparedStatement selectStmt=conn.prepareStatement("select path from "+srcTbl+" where path like ? ");
        PreparedStatement insertStmt=conn.prepareStatement("insert into "+resTbl+" values(?,?,?) ");
        PreparedStatement insertPathStmt=conn.prepareStatement("insert into "+pathTbl+" values(?,?,?,0) ");
        int sizeOfMinNd=minNd.size();
        int ptNumber=4;
        int number=0;
        for(int i=0;i<sizeOfMinNd;i++){
            
            int node=minNd.get(i);
       
            for(int k=1;k<=8;k++){
                String pathType="";
                
                switch(k){
                    case 1:
                        pathType="%("+node+",%)^%(%,%)^%(%,%)^%(%,%)";
                        break;
                    case 2:
                        pathType="%(%,"+node+")^%(%,%)^%(%,%)^%(%,%)";
                        break;
                    case 3:
                        pathType="%(%,%)^%("+node+",%)^%(%,%)^%(%,%)";
                        break;
                    case 4:
                        pathType="%(%,%)^%(%,"+node+")^%(%,%)^%(%,%)";
                        break;
                    case 5:
                        pathType="%(%,%)^%(%,%)^%("+node+",%)^%(%,%)";
                        break;
                    case 6:
                        pathType="%(%,%)^%(%,%)^%(%,"+node+")^%(%,%)";
                        break;
                    case 7:
                        pathType="%(%,%)^%(%,)^%(%,%)^%("+node+",%)";
                        break;
                    case 8:
                        pathType="%(%,%)^%(%,%)^%(%,%)^%(%,"+node+")";
                        break;
                
                }
                selectStmt.setString(1,pathType);
                ResultSet selectedSet=selectStmt.executeQuery();
                int count=0;
                selectedSet.last();
                count=selectedSet.getRow();
                selectedSet.first();
                if(count>0){
                    number++;
                    insertStmt.setString(1,pathType);
                    insertStmt.setInt(2,ptNumber);
                    insertStmt.setInt(3,number);
                    insertStmt.executeUpdate();
                    while(selectedSet.next()){
                        
                            insertPathStmt.setString(1,selectedSet.getString("path"));
                            insertPathStmt.setInt(2,ptNumber);
                            insertPathStmt.setInt(3,number);
                            insertPathStmt.executeUpdate();
                    }
                }
            }
        }
        
        
    }
    
        public void selectionRelation(Connection conn,String srcTbl,String resTbl,String relArray[],ArrayList<Integer> minRl,String pathTbl) throws SQLException{
        
        PreparedStatement selectStmt=conn.prepareStatement("select path from "+srcTbl+" where path like ?  ");
        PreparedStatement insertStmt=conn.prepareStatement("insert into "+resTbl+" values(?,?,?) ");
        PreparedStatement insertPathStmt=conn.prepareStatement("insert into "+pathTbl+" values(?,?,?,0) ");   
        int ptNumber=5;
        int number=0;
        int sizeOfMinRl=minRl.size();
        for(int i=0;i<sizeOfMinRl;i++){
            int rel=minRl.get(i);
            
            for(int k=1;k<=4;k++){
                String pathType="";
                
                switch(k){
                    case 1:
                        pathType=rel+"(%,%)^%(%,%)^%(%,%)^%(%,%)";
                        break;
                    case 2:
                        pathType="%(%,%)^"+rel+"(%,%)^%(%,%)^%(%,%)";
                        break;
                    case 3:
                        pathType="%(%,%)^%(%,%)^"+rel+"(%,%)^%(%,%)";
                        break;
                    case 4:
                        pathType="%(%,%)^%(%,%)^%(%,%)^"+rel+"(%,%)";
                        break;
                    
                
 }
                selectStmt.setString(1,pathType);
                ResultSet selectedSet=selectStmt.executeQuery();
                int count=0;
                selectedSet.last();
                count=selectedSet.getRow();
                selectedSet.first();
                if(count>0){
                    number++;
                    insertStmt.setString(1,pathType);
                    insertStmt.setInt(2,ptNumber);
                    insertStmt.setInt(3,number);
                    insertStmt.executeUpdate();
                    while(selectedSet.next()){
                        
                            insertPathStmt.setString(1,selectedSet.getString("path"));
                            insertPathStmt.setInt(2,ptNumber);
                            insertPathStmt.setInt(3,number);
                            insertPathStmt.executeUpdate();
                    }
                }
            }
        }
        
        
    }
        
      public void exclusionNode(Connection conn,String srcTbl,String resTbl,String name[],ArrayList<Integer> maxNd,String pathTbl) throws SQLException{
        
        PreparedStatement selectStmt=conn.prepareStatement("select path from "+srcTbl+" where path NOT like ? AND path NOT like ? AND path NOT like ? AND path NOT like ? AND path NOT like ? AND path NOT like ? AND path NOT like ? AND path NOT like ?  ");
        PreparedStatement insertStmt=conn.prepareStatement("insert into "+resTbl+" values(?,?,?) ");
        PreparedStatement insertPathStmt=conn.prepareStatement("insert into "+pathTbl+" values(?,?,?,0) ");        
        int sizeOfMaxNd=maxNd.size();
        int ptNumber=6;
        int number=0;
      
        
        String pathType1=new String();
        String pathType2=new String();
        String pathType3=new String();
        String pathType4=new String();
        String pathType5=new String();
        String pathType6=new String();
        String pathType7=new String();
        String pathType8=new String();
        
        for(int i=0;i<sizeOfMaxNd;i++){
            int node=maxNd.get(i);
                        String pathType="%(!"+node+",!"+node+")^%(!"+node+",!"+node+")^%(!"+node+",!"+node+")^%(!"+node+",!"+node+")";
                        pathType1="%("+node+",%)^%(%,%)^%(%,%)^%(%,%)";
                        
                        pathType2="%(%,"+node+")^%(%,%)^%(%,%)^%(%,%)";
                       
                        pathType3="%(%,%)^%("+node+",%)^%(%,%)^%(%,%)";
                        
                        pathType4="%(%,%)^%(%,"+node+")^%(%,%)^%(%,%)";
                       
                        pathType5="%(%,%)^%(%,%)^%("+node+",%)^%(%,%)";
                        
                        pathType6="%(%,%)^%(%,%)^%(%,"+node+")^%(%,%)";
                        
                        pathType7="%(%,%)^%(%,)^%(%,%)^%("+node+",%)";
                        
                        pathType8="%(%,%)^%(%,%)^%(%,%)^%(%,"+node+")";
                        
                
             
                selectStmt.setString(1,pathType1);
                selectStmt.setString(2,pathType2);
                selectStmt.setString(3,pathType3);
                selectStmt.setString(4,pathType4);
                selectStmt.setString(5,pathType5);
                selectStmt.setString(6,pathType6);
                selectStmt.setString(7,pathType7);
                selectStmt.setString(8,pathType8);
                
                ResultSet selectedSet=selectStmt.executeQuery();
                int count=0;
                selectedSet.last();
                count=selectedSet.getRow();
                selectedSet.first();
                if(count>0){
                    number++;
                    insertStmt.setString(1,pathType);
                    insertStmt.setInt(2,ptNumber);
                    insertStmt.setInt(3,number);
                    insertStmt.executeUpdate();
                    while(selectedSet.next()){
                        
                            insertPathStmt.setString(1,selectedSet.getString("path"));
                            insertPathStmt.setInt(2,ptNumber);
                            insertPathStmt.setInt(3,number);
                            insertPathStmt.executeUpdate();
                    }
                }
            }
            
    }
    
        public void exclusionRelation(Connection conn,String srcTbl,String resTbl,String relArray[],ArrayList<Integer> maxRl,String pathTbl) throws SQLException{
        
        PreparedStatement selectStmt=conn.prepareStatement("select path from "+srcTbl+" where path NOT like ? AND path NOT like ? AND path NOT like ? AND path NOT like ? ");
        PreparedStatement insertStmt=conn.prepareStatement("insert into "+resTbl+" values(?,?,?) ");
        PreparedStatement insertPathStmt=conn.prepareStatement("insert into "+pathTbl+" values(?,?,?,0) ");                
        int sizeOfMaxRl=maxRl.size();
        int ptNumber=7;
        int number=0;
        String pathType="!2(%,%)^!2(%,%)^!2(%,%)^!2(%,%)";
        for(int i=0;i<sizeOfMaxRl;i++){
            int rel=maxRl.get(i);
           
              
                String pathType1=new String();
                String pathType2=new String();
                String pathType3=new String();
                String pathType4=new String();
                    
                        pathType1=rel+"(%,%)^%(%,%)^%(%,%)^%(%,%)";
                        
                        pathType2="%(%,%)^"+rel+"(%,%)^%(%,%)^%(%,%)";
                       
                        pathType3="%(%,%)^%(%,%)^"+rel+"(%,%)^%(%,%)";
                      
                        pathType4="%(%,%)^%(%,%)^%(%,%)^"+rel+"(%,%)";
                        
             
                selectStmt.setString(1,pathType1);
                selectStmt.setString(2,pathType2);
                selectStmt.setString(3,pathType3);
                selectStmt.setString(4,pathType4);
                
                ResultSet selectedSet=selectStmt.executeQuery();
                int count=0;
                selectedSet.last();
                count=selectedSet.getRow();
                selectedSet.first();
                if(count>0){
                    number++;
                    insertStmt.setString(1,pathType);
                    insertStmt.setInt(2,ptNumber);
                    insertStmt.setInt(3,number);
                    insertStmt.executeUpdate();
                    while(selectedSet.next()){
                        
                            insertPathStmt.setString(1,selectedSet.getString("path"));
                            insertPathStmt.setInt(2,ptNumber);
                            insertPathStmt.setInt(3,number);
                            insertPathStmt.executeUpdate();
                    }
                }
            
        }
        
        
    }
}
