
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.Collections;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author Dell
 */
public class NodeWiseRandomExperiment {
    
    public ArrayList<Integer> shuffleNodeList(ArrayList<Integer> listOfNodes,int row){
        
        for(int i=1;i<=row;i++){
            listOfNodes.add(i);
        }
        Collections.shuffle(listOfNodes);
        return listOfNodes;
    }
    
    public void doNodeRandomExperiment(ArrayList<Integer> listOfNodes,Connection conn,String tblName,ArrayList<Integer> startersInfoList) throws SQLException{
        
        System.out.println("inside node random experiment..");
        double PTS=0;
        int NODE=19;
        int pathTypeNumber=0,number=0;
        String path=new String();
        PreparedStatement selectPathStmt=conn.prepareStatement("select * from "+tblName+" where path like ? and processed=0 ");
        PreparedStatement updateProcessed=conn.prepareStatement("update "+tblName+" set processed=1 where path like ? and pathTypeNumber=? and number=? ");
        Statement updateStmt=conn.createStatement();
        PreparedStatement selectPTSStmt=conn.prepareStatement("select count(path) as PTS from "+tblName+" where path like ? and pathTypeNumber=? and number=? ");
        PreparedStatement selectSsStmt=conn.prepareStatement("select count(path) as Ss from logical_path_table where path like ? ");
        
        updateStmt.executeUpdate("update "+tblName+" set processed=0 ");
        
        for(int i=0;i<listOfNodes.size();i++){  
            
           // System.out.println(listOfNodes.get(i));
            if(startersInfoList.get(listOfNodes.get(i)-1)==0){
                
            //     System.out.println("Dont have Paths...");
                 continue;
            }
           
            String pathPattern="%("+listOfNodes.get(i)+",%)^%(%,%)^%(%,%)^%(%,%)";
            selectPathStmt.setString(1,pathPattern);
            ResultSet selectedPaths=selectPathStmt.executeQuery();
            
            while(selectedPaths.next()){
                
                pathTypeNumber=selectedPaths.getInt("pathTypeNumber");
                number=selectedPaths.getInt("number");
                path=selectedPaths.getString("path");
                
        //    System.out.println("selected path:\t"+path);
            updateProcessed.setString(1, path);
            updateProcessed.setInt(2,pathTypeNumber);
            updateProcessed.setInt(3,number);
            
            updateProcessed.executeUpdate();
       //     System.out.println("Update for processed path finished..");
            //numerator
            
            selectPTSStmt.setString(1, pathPattern);
            selectPTSStmt.setInt(2,pathTypeNumber);
            selectPTSStmt.setInt(3,number);
            
            ResultSet PTSSet=selectPTSStmt.executeQuery();
            while(PTSSet.next()){
                PTS=PTSSet.getDouble("PTS");
            }
            
        //    System.out.println("S=s,PT=pt\t"+PTS);
            double Ss=0;
            selectSsStmt.setString(1, pathPattern);
            ResultSet SsSet=selectSsStmt.executeQuery();
            while(SsSet.next()){
               Ss=SsSet.getDouble("Ss") ;
            }
         //   System.out.println("S=s\t"+Ss);
            
            double numerator_1_1=PTS/(Ss*NODE);
            
          //  System.out.println("S=s,PT=pt / S=s *(1/NODE)\t"+numerator_1_1);
            //denominator
            
            double sumOfAllPTSk=0;
            for(int j=0;j<listOfNodes.size();j++){
                
                if(startersInfoList.get(listOfNodes.get(j)-1)==0){
                
             //    System.out.println("inside s=k .. Dont have Paths..."+listOfNodes.get(j));
                 continue;
                 }
            //    System.out.println("Choosen k:\t"+listOfNodes.get(j));
                double PTSkValue=0,skValue=0;
                String pathVar="%("+listOfNodes.get(j)+",%)^%(%,%)^%(%,%)^%(%,%)";
            //    System.out.println("PathVar for k\t"+pathVar);
                selectPTSStmt.setString(1, pathVar);
                selectPTSStmt.setInt(2,pathTypeNumber);
                selectPTSStmt.setInt(3,number);
                
                ResultSet varSet=selectPTSStmt.executeQuery();
                while(varSet.next()){
                    PTSkValue=varSet.getDouble("PTS");
                }
           //     System.out.println("S=k,PT=pt\t"+PTSkValue);
                selectSsStmt.setString(1, pathVar);
                ResultSet skSet=selectSsStmt.executeQuery();
                while(skSet.next()){
                    skValue=skSet.getDouble("Ss");
                }
            //    System.out.println("S=k\t"+skValue);
                sumOfAllPTSk=sumOfAllPTSk+(PTSkValue/skValue);
            }
          //  System.out.println("E(S=k PT=pt)/(S=k)\t"+sumOfAllPTSk);
            double denominator_1_1=sumOfAllPTSk/NODE;       
            double denominator_1=denominator_1_1/NODE;
           //  System.out.println("E(S=k PT=pt)/(S=k)/NODE^2\t"+ denominator_1);
            
            double  numerator_1=numerator_1_1/denominator_1;
           // System.out.println("S=s,PT=pt / S=s *(1/NODE)  /  (E(S=k PT=pt)/(S=k)/NODE^2) \t"+numerator_1);
            
            double numerator=Math.log(numerator_1);
           // System.out.println("numerator:\t"+numerator);
            double denominator=(-1)*Math.log(numerator_1_1);
           // System.out.println("denominator:\t"+denominator);
            double NPMI=numerator/denominator;
            
            System.out.println("Starting Node:\t"+listOfNodes.get(i));
            System.out.println("PT:\t"+pathTypeNumber+"\tNumber:\t"+number);
             
            System.out.println("NPMI \t"+NPMI+"\n*****************************\n") ;
        }
        
    }
    }  
}
