
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.Collections;
import java.util.StringTokenizer;
import java.math.*;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import java.util.Set;
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author Dell
 */
public class PathWiseRandomExperiment {
    
    ArrayList<Integer> startersInfoList=new ArrayList<Integer>();
    int noOfPaths=0;
    
    public ArrayList<String> moveToList(Connection conn,String tblName,ArrayList<String> listOfPaths) throws SQLException{
        
        Statement selectStmt=conn.createStatement();
        ResultSet res=selectStmt.executeQuery("select path from "+tblName);
        while(res.next()){
            listOfPaths.add(res.getString("path"));
            System.out.println(res.getString("path"));
        }
        int countOfPaths=listOfPaths.size();
        System.out.println(countOfPaths);
        return listOfPaths;
    }
    
    public ArrayList<String> doRandom(ArrayList<String> listOfPaths){
     
        Collections.shuffle(listOfPaths);
        return listOfPaths;
    }
    
    public void doPathRandomExperiment(ArrayList<String> listOfPaths,Connection conn,String tblName,ArrayList<Integer> startersInfoList,int pathCount,HashMap semanticProfiles[],String name[],String rel[]) throws SQLException{
         
       
        PreparedStatement updateStmt=conn.prepareStatement("update "+tblName+" set processed = 1 where path like ? and pathtypenumber = ? and number = ? ");
        PreparedStatement matchStmt=conn.prepareStatement("select * from "+tblName+" where path like ? and processed = 0 ");
        PreparedStatement countStmt=conn.prepareStatement("select  count(path) as pathUnderPt from "+tblName+" where pathtypenumber= ? and number = ? ");
        PreparedStatement matchsPTStmt=conn.prepareStatement("select  count(path) as pathPTS from "+tblName+" where path like ? and pathtypenumber = ? and number = ? ");
        PreparedStatement matchSStmt=conn.prepareStatement("select DISTINCT count(path) as SsCount from logical_path_table where path like ? ");
        for(int i=0;i<50;i++){
             semanticProfiles[i]=new HashMap<String,Double>();
        }
        for(int i=0;i<listOfPaths.size();i++){
            String pt=new String();
            String currentPath=listOfPaths.get(i);
            //System.out.println("RANDOMLY SELECTED PATH IS:\t"+currentPath);
            StringTokenizer tkn=new StringTokenizer(currentPath);
            String start=tkn.nextToken("(");
            int startLength=start.length();
            startLength++;
            int commaIndex=currentPath.indexOf(',');
            String S=currentPath.substring(startLength, commaIndex);
            System.out.println("Starting Node:\t"+S);
            String pathsOfS;
            String startingPattern="%("+S+",%)^%(%,%)^%(%,%)^%(%,%)";
            //finding the  pathtype
            matchStmt.setString(1,currentPath);
            
            ResultSet matchRes=matchStmt.executeQuery();
            
            int pathtype=0;
            int number=0;
            Double pathsUnderPt = null;
            Double pathSPT = null;
            String choosen=new String();
            while(matchRes.next()){
                
                pathtype=matchRes.getInt("pathtypenumber");
                number=matchRes.getInt("number");
                choosen=matchRes.getString("path");
            }
            //System.out.println("Choosen Path\t"+choosen);
            System.out.println("PT:\t"+pathtype);
            
            updateStmt.setString(1,currentPath);
            updateStmt.setInt(2,pathtype);
            updateStmt.setInt(3,number);
            
            updateStmt.executeUpdate();
            countStmt.setInt(1,pathtype);
            countStmt.setInt(2,number);
            String pathtypeTbl=new String();
            switch(pathtype){
                
                case 1:
                        pathtypeTbl="modified_ssort";
                        break;
                case 2:
                        pathtypeTbl="modified_lt";
                        break;    
                case 3:
                        pathtypeTbl="modified_srt";
                        break;
                    
                case 4:
                        pathtypeTbl="modified_snt";
                        break;
                case 5:
                        pathtypeTbl="modified_sert";
                        break;
                                        
                case 6:
                        pathtypeTbl="modified_ent";
                        break;
                case 7:
                        pathtypeTbl="modified_ert";
                        break;
            }
          if(pathtype!=0){
         // System.out.println("path type tbl\t"+pathtypeTbl)  ;
          System.out.println("number \t"+number);
          PreparedStatement pathtypeSelectStmt=conn.prepareStatement("select * from "+pathtypeTbl+" where number = ? ");
          pathtypeSelectStmt.setInt(1,number);
          ResultSet pathtypeSet=pathtypeSelectStmt.executeQuery();
          
          
          while(pathtypeSet.next()){
              
              pt=pathtypeSet.getString("path");
              
          }
          //System.out.println("PATH TYPE OF RANDOMLY SELECTED PATH IS: \t"+pt);
          }
          ResultSet countRes=countStmt.executeQuery();
          while(countRes.next()){
              pathsUnderPt=countRes.getDouble("pathUnderPt");
          }
          
          matchSStmt.setString(1,startingPattern);
          ResultSet sSet=matchSStmt.executeQuery();
          Double pathStarter = null;
          while(sSet.next()){
              
              pathStarter=sSet.getDouble("SsCount");
              
          }
          
         
          
          matchsPTStmt.setString(1,startingPattern);
          matchsPTStmt.setInt(2,pathtype) ;
          matchsPTStmt.setInt(3,number);
          ResultSet PTSSet=matchsPTStmt.executeQuery();
          while(PTSSet.next()){
              pathSPT=PTSSet.getDouble("pathPTS");
          }
          
          
          
          //Computation of PMI
          
          
          double SsPTpt,PTpt,Ss,PATH;
          SsPTpt=pathSPT;
          PTpt=pathsUnderPt;
          Ss=pathStarter;
          PATH=pathCount;
          
     //     System.out.println("S=s,PT=pt\t:\t"+SsPTpt);
     //     System.out.println("PT=pt\t:\t"+PTpt);
      //    System.out.println("S=s\t:\t"+Ss);
       //   System.out.println("Path\t:\t"+PATH);
          
          double numerator_1=SsPTpt/PATH;
       //   System.out.println("SsPTpt/PATH=\t"+numerator_1);
          double denominator1=Ss/PATH;
       //   System.out.println("Ss/PATH=\t"+denominator1);
          double denominator2=PTpt/PATH;
       //   System.out.println("PTpt/PATH=\t"+PTpt/PATH);
          
          double numerator_2=Math.log(numerator_1/(denominator1*denominator2));
       //   System.out.println("SsPTpt/PATH/(Ss/PATH * PTpt/PATH)"+numerator_2);
          
          double denominator_2=-1*Math.log(SsPTpt/PATH) ;
       //   System.out.println("SsPTpt/PATH=\t"+denominator_2);
          
          double npmi=numerator_2/denominator_2;
          
          
       //   System.out.println("numerator_2/denominator_2=NPMI:\t"+npmi+"\n***********\n");
          
            System.out.println("NPMI=\t"+npmi+"\n************************\n");
            //pt npmi 
            int node=Integer.parseInt(S) ;
            StringTokenizer ptStr=new StringTokenizer(pt);
            semanticProfiles[node].put(pt,npmi);
        }
        for(int i=0;i<20;i++){
            System.out.println("\nNode Number:\t"+i);
            //System.out.println(semanticProfiles[i]);
            Set profileSet=semanticProfiles[i].entrySet();
            Iterator iter = profileSet.iterator();

            while (iter.hasNext ()) {
                Map.Entry entry = (Map.Entry) iter.next();
                System.out.println(entry.getKey() + " -- " + entry.getValue());
            }
        }
      
    }
    
  
    
    public ArrayList<Integer> doAnalysisOfStartersOnPaths(Connection conn,ArrayList<Integer> startersInfoList,String tbl,int rows) throws SQLException{
        int count=0;
        PreparedStatement countStmt=conn.prepareStatement("select count(path) as count from "+tbl+" where path like ? ");
        for(int i=1;i<=rows;i++){
            String matchPattern="%("+i+",%)^%(%,%)^%(%,%)^%(%,%)";
            //System.out.println("Mathcing Pattern:\t"+matchPattern);
            countStmt.setString(1,matchPattern);
            ResultSet startersSet=countStmt.executeQuery();
            while(startersSet.next()){
              count=startersSet.getInt("count")  ;
            }
            startersInfoList.add(count);
            System.out.println("i:\t"+i+"\tNo Of Rows:\t"+count);
            
        }
        
        return startersInfoList;
    }
    
    public int doAnalysisOnNumberOfPaths(Connection conn,String tblName,int pathCount) throws SQLException{
        
        Statement countStmt=conn.createStatement();
        ResultSet pathCountSet=countStmt.executeQuery("select count(path) as pathCount from "+tblName);
        while(pathCountSet.next()){
            pathCount=pathCountSet.getInt("pathCount");
        }
        return pathCount;
    }
}
