/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author Dell
 */
import java.sql.*;
import java.util.ArrayList;
import java.util.StringTokenizer;
import java.util.logging.Level;
import java.util.logging.Logger;

public class MysqlConnect{
 
  public Connection doConnectMySql(Connection conn,String url){
  System.out.println("MySQL Connect Example.");
  //Connection conn = null;
 // String url = "jdbc:mysql://localhost:3306/DAN";
  
  String driver = "com.mysql.jdbc.Driver";
  String userName = "root"; 
  String password = "mysql";
        try {
            try {
                Class.forName(driver).newInstance();
            } catch (InstantiationException ex) {
                Logger.getLogger(MysqlConnect.class.getName()).log(Level.SEVERE, null, ex);
            } catch (IllegalAccessException ex) {
                Logger.getLogger(MysqlConnect.class.getName()).log(Level.SEVERE, null, ex);
            }
        } catch (ClassNotFoundException ex) {
            Logger.getLogger(MysqlConnect.class.getName()).log(Level.SEVERE, null, ex);
        }
        try {
            conn = DriverManager.getConnection(url,userName,password);
        } catch (SQLException ex) {
            Logger.getLogger(MysqlConnect.class.getName()).log(Level.SEVERE, null, ex);
        }
  System.out.println("Connected to the database");
  return conn;
  }
  
  public void doDisconnectMySql(Connection conn)
  {
        try {
            conn.close();
        } catch (SQLException ex) {
            Logger.getLogger(MysqlConnect.class.getName()).log(Level.SEVERE, null, ex);
        }
        System.out.println("Disconnected from database");
 
  }
  
  public void doInsertInMySql(Connection conn,StringBuffer path,int length,int inlonger,String tblName){
      String pathstr=path+"";
        PreparedStatement stmtInsert;
        try
        {
            stmtInsert = conn.prepareStatement("insert into "+tblName+" values (?,?,?)");
            stmtInsert.setString(1,pathstr);
            stmtInsert.setInt(2, length);
            stmtInsert.setInt(3,inlonger);
            stmtInsert.executeUpdate();
            stmtInsert.close();
        }
        catch (SQLException sqlExcept)
        {
        }
  }
  
 public ResultSet selectDB(Connection conn,String tblName) throws SQLException{
     Statement selectStmt=conn.createStatement();
     ResultSet pathRes=selectStmt.executeQuery("select path from "+tblName);
     return pathRes;
     
 }
  public ResultSet selectDBInverse(Connection conn,String tblName) throws SQLException{
     Statement selectStmt=conn.createStatement();
     ResultSet pathRes=selectStmt.executeQuery("select path from "+tblName);
     return pathRes;
     
 }
 public void insertNodesWithRelationIntoDB(Connection conn,ArrayList<String> al,String tblName) throws SQLException{
     PreparedStatement insertPathStmt=conn.prepareStatement("insert into "+tblName+" values(?) ");
     
     for(int i=0;i<al.size();i++){
         
         insertPathStmt.setString(1,al.get(i));
         insertPathStmt.executeUpdate();
     }
     
 }
 /* 
 public void cutShort(Connection conn,int lengthCut,String tblName) throws SQLException{
    System.out.println("inside cutshort");
    int Count=0,length=0,letters=0;
   
    PreparedStatement cutStmt=conn.prepareStatement("select * from "+tblName+" where length > ? ");
    cutStmt.setInt(1, lengthCut);
    ResultSet selectdRes=cutStmt.executeQuery();
     lengthCut=lengthCut+1;
    //System.out.println("lengthcut is "+lengthCut);
    while(selectdRes.next()){
        Count=0;
        letters=0;
        //System.out.println("inside cutting");
        StringTokenizer t=new StringTokenizer(selectdRes.getString("path"));
       // System.out.println("path is"+t.hasMoreElements());
        Boolean c= Count <= lengthCut;
        //System.out.println("Value of count & boolean"+Count+"&"+ c);
        while(t.hasMoreTokens()&& Count < lengthCut){
            //System.out.println("inside while loop");
            String word=t.nextToken(".");
           // System.out.println("new token \t"+word);
            letters=letters+word.length();
            Count++;
           // System.out.println("no of nodes\t"+Count+"\t noof letters\t"+letters);
        }
       length=Count+letters;
       lengthCut=lengthCut-1;
       PreparedStatement updateStmt=conn.prepareStatement("update " +tblName+" set path = ?");
       String newPath=selectdRes.getString("path");
       updateStmt.setString(1,newPath.substring(0, length));
       updateStmt.executeUpdate();
       System.out.println("old path is"+newPath+"new path is "+newPath.substring(0, length));
       
    }
    Statement lengthUpdate=conn.createStatement();
    lengthUpdate.executeUpdate("update "+tblName+" set length = lengthCut where length > 4");
    lengthUpdate.close();
}*/
 public void splitData(Connection conn,int row,String tblName) throws SQLException{
     int count=0;
     PreparedStatement splitStmt=conn.prepareStatement("select * from "+tblName+" where path like ? ");
     
        for(int i=1;i<=row;i++){
            String start="."+i+"."+"%";
            splitStmt.setString(1, start);
            ResultSet splitRes=splitStmt.executeQuery();
            
                
      PreparedStatement stmtSelect=conn.prepareStatement("update "+tblName+" set InLonger=1 where locate(Path,?)=1 AND strcmp(?,Path)!=0");
       
        while (splitRes.next()){
              
              stmtSelect.setString(1,splitRes.getString("Path"));
              stmtSelect.setString(2,splitRes.getString("Path"));
              System.out.println("Checking"+splitRes.getString("Path"));
              stmtSelect.executeUpdate();
              
              
        }
        splitRes.close();
            
        }
        
    }
 

  public void createFilteredTable(Connection conn,String srcTbl,String targetTbl) throws SQLException{
     System.out.print("inside filter") ;
     ResultSet filteredRes;
     PreparedStatement filterStmt,insertStmt;
     String filterQry,insertQry,pathVal,lengthVal;
     filterQry="select Path,Length from "+srcTbl+" where InLonger = 0 ";
     filterStmt=conn.prepareCall(filterQry);
     insertQry="insert into "+targetTbl+"(Path,Length) values(?,?) " ;
     
     insertStmt=conn.prepareCall(insertQry);
     filteredRes=filterStmt.executeQuery();
     while(filteredRes.next()){
         
         pathVal=filteredRes.getString(1);
         lengthVal=filteredRes.getString(2);
         insertStmt.setString(1, pathVal);
         insertStmt.setString(2, lengthVal);
         insertStmt.executeUpdate();
                  
     }
     
  }
   public void addInverse(Connection conn,String pathTbl,String InversePathTbl,int pathLength) throws SQLException{
       
       int deleteFlag=0;
       System.out.println("Adding inverse path to those less in length compared to threashold");       
       PreparedStatement flagStmt=conn.prepareStatement("update "+pathTbl+" set covered=1 where strcmp(path,?)=0");
       PreparedStatement inverseStmt=conn.prepareStatement("select * from "+pathTbl+" where length < ? and covered=0");
       PreparedStatement deleteStmt=conn.prepareStatement("delete from "+pathTbl+" where strcmp(path,?)=0 "); 
       inverseStmt.setInt(1, pathLength);
       ResultSet inverseRes=inverseStmt.executeQuery();       
       PreparedStatement inverseUpdateStmt=conn.prepareStatement("insert into "+pathTbl+"(path,length,covered) values(?,?,?)");
       PreparedStatement resrcPath=conn.prepareStatement("select * from "+InversePathTbl+" where path like ? ");   
      
       while(inverseRes.next()){
           
           String lastTkn="";
           int processingLength=inverseRes.getInt("length");
           String processingStr=inverseRes.getString("path");
           
           StringTokenizer t= new StringTokenizer(processingStr);
           while(t.hasMoreElements()){
               
               lastTkn=t.nextToken(".");
           }
           String selectStr="."+lastTkn+"."+"%";
           
           resrcPath.setString(1, selectStr);
           int startLength=lastTkn.length()+1;

                ResultSet feasibleRes=resrcPath.executeQuery();
               
                System.out.println("processing  string\n"+processingStr);
                while(feasibleRes.next()){
                        
                        int flag=0;
                        String appender=feasibleRes.getString("path");
                                               
                        StringTokenizer appenderStr=new StringTokenizer(appender.substring(startLength));
                        System.out.println("appender string\n"+appender.substring(startLength));
                     /*   while(appenderStr.hasMoreElements()){
                            String tkn=appenderStr.nextToken(".");
                            if(processingStr.contains("."+tkn+"."))
                                flag=1;
                        }*/
                     //   if(flag==0){
                            
                            deleteFlag=1;
                            int newLength=processingLength+feasibleRes.getInt("length")-1;
                        
                            String newappender=appender.replace('.', '-');
                            System.out.println("after replacing . by -\t"+newappender);
                            inverseUpdateStmt.setString(1, processingStr+newappender.substring(startLength));
                            inverseUpdateStmt.setInt(2,newLength+1 );
                            inverseUpdateStmt.setInt(3,0);
                            inverseUpdateStmt.executeUpdate();
                            
                            System.out.println("no match found...so inserted\n");
                    //    }                
               
                }
                if(deleteFlag==1){
                    deleteStmt.setString(1, processingStr);
                    deleteStmt.executeUpdate();
                    System.out.println("delted");
                }
                else{
                    System.out.println("before flag");
                    flagStmt.setString(1,processingStr);
                    flagStmt.executeUpdate();
                    System.out.println("after flag");
                }
                deleteFlag=0;  
    
       }
           
   }
   
   public void repeatAddInverse(Connection conn,String pathTbl,String inversePathTbl,int pathLength) throws SQLException{
        boolean to_be_processed=false;
       PreparedStatement repeatStmt=conn.prepareStatement("select * from "+pathTbl+" where length < ? and covered=0");
       repeatStmt.setInt(1,pathLength);
       
     do{
          addInverse(conn,pathTbl,inversePathTbl,pathLength);
           //checking whether the loop should be repeated
          ResultSet repeatRes=repeatStmt.executeQuery();
          to_be_processed=repeatRes.last();
          
      }while(to_be_processed);
       
   }
   
    public void cutShort(Connection conn,int lengthCut,String tblName,String targetTblName) throws SQLException{
       
        System.out.println("inside cutshort");
        int Count=0,length=0,letters=0,nodeCut=0;
       // lengthCut=lengthCut+1;
        PreparedStatement cutStmt=conn.prepareStatement("select path from "+tblName+" where length >= ? ");
        cutStmt.setInt(1, lengthCut);
        nodeCut=lengthCut+1;
        int stmts=0,exe=0;
        ResultSet selectdRes=cutStmt.executeQuery();
        //System.out.println("lengthcut is "+lengthCut);
        while(selectdRes.next()){
            stmts++;
            Count=0;
            letters=0;
            // System.out.println("inside cutting");
            StringTokenizer t=new StringTokenizer(selectdRes.getString("path"));
            System.out.println("path is"+selectdRes.getString("path"));
            Boolean c= Count <= nodeCut;
            //System.out.println("Value of count & boolean"+Count+"&"+ c);
            while(t.hasMoreTokens()&& Count < nodeCut){
                System.out.println("inside while loop");
                String word=t.nextToken(".");
                System.out.println("new token \t"+word);
                if(word.length()>1){
                    StringTokenizer wordTkn=new StringTokenizer(word);
                    while(wordTkn.hasMoreTokens() && Count < nodeCut){
                        String inverseTkn=wordTkn.nextToken("-");
                        System.out.println("inverse string\t"+inverseTkn);
                        letters=letters+inverseTkn.length();
                        Count++;
                    }
                }
                else{
                    letters=letters+word.length();
                    Count++;
                }
                
                System.out.println("no of nodes\t"+Count+"\t noof letters\t"+letters);
            }
        length=Count+letters;
        PreparedStatement updateStmt=conn.prepareStatement("insert into "+targetTblName+" values(?)");
        String newPath=selectdRes.getString("path");
        updateStmt.setString(1,newPath.substring(0, length));
        updateStmt.executeUpdate();
        exe++;
        System.out.println("old path is"+newPath+"new path is "+newPath.substring(0, length));
       
    }
        System.out.println("number if stmts selected\t"+stmts);
        System.out.println("number of execution updates\t"+exe);
 }
  
    public void removeDuplicates(Connection conn,String srcTbl,String targetTbl) throws SQLException{
      
      Statement removeDupStmt=conn.createStatement();
        removeDupStmt.executeUpdate("insert into "+targetTbl+" select path from "+srcTbl+" group by path");
      //uniqueStmt.close();
     
  }
    public void clubFrequentLengths(Connection conn,String mainTbl,String cuttedTbl,String targetTbl,int frequentLength) throws SQLException{
        
        PreparedStatement selectStmt=conn.prepareStatement("insert into "+targetTbl+" select path from "+mainTbl+" where length = ? ");
        selectStmt.setInt(1, frequentLength);
        selectStmt.executeUpdate();
       
        Statement selctStmt=conn.createStatement();
        selctStmt.execute("insert into "+targetTbl+" select path from "+cuttedTbl);
    }
    
    public void moveShortPaths(Connection conn,String mainTbl,String newTbl,int frequentLength) throws SQLException{
    
        PreparedStatement selectStmt=conn.prepareCall("select path,length from "+mainTbl+" where length < ? ");
        PreparedStatement insertStmt=conn.prepareStatement("insert into "+newTbl+" values(?,?,?) ");
        selectStmt.setInt(1,frequentLength);
        ResultSet selectRes=selectStmt.executeQuery();
        while(selectRes.next()){
            insertStmt.setString(1,selectRes.getString("path"));
            insertStmt.setInt(2, selectRes.getInt("length"));
            insertStmt.setInt(3,0);
            insertStmt.executeUpdate();
        }
            
    }
    
    public void joinForwardReversePaths(Connection conn,String fwdTbl,String reverseTbl,String fwdRevTbl) throws SQLException{
        
        int i=0;
        Statement selectFwd=conn.createStatement();
        Statement selectRev=conn.createStatement();
        PreparedStatement insrt=conn.prepareStatement("insert into "+fwdRevTbl+" values(?) ");
        ResultSet fwdRes=selectFwd.executeQuery("select path from "+fwdTbl);
        while(fwdRes.next()){
            i++;
            insrt.setString(1,fwdRes.getString("path"));
            insrt.executeUpdate();
        }
        ResultSet revRes=selectRev.executeQuery("select path from "+reverseTbl);
        while(revRes.next()){
            i++;
            insrt.setString(1,revRes.getString("path"));
            insrt.executeUpdate();
        }
        System.out.println("totaly processed\t"+i);
    }
            
} 