
import java.beans.Statement;
import java.io.File;
import java.lang.String;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JFileChooser;
import java.sql.Connection;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.ResultSetMetaData;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

public class PathHomePage extends javax.swing.JFrame {

    //Declaration of variables
    String fileName = "";
    String rel[] = new String[1000]; //Array to store the relationship names
    String name[] = new String[1000]; //Array to store the Names of People and Location
    String dbURL = "jdbc:mysql://localhost:3306/review4"; //url of the database conneciton
    String relMatrix[][] = new String[100][100];
    ArrayList<Integer> minNd=new ArrayList<Integer>();
    ArrayList<Integer> maxNd=new ArrayList<Integer>();
    ArrayList<Integer> minRl=new ArrayList<Integer>();
    ArrayList<Integer> maxRl=new ArrayList<Integer>();
    ArrayList<String> listOfPaths=new ArrayList<String>();
    ArrayList<Integer> listOfNodes=new ArrayList<Integer>();
    ArrayList pathArrayList[]=new ArrayList[100];
    ArrayList<Integer> startersInfoList=new ArrayList<Integer>();
    
    int minNode,maxNode,minRel,maxRel;
    int n,pathCount=0;
    int matrix[][] = new int[1000][1000]; //Two dimensional integer array to hold the adjacency matrix of 9/11 dataset whicj is in csv format
    int inverseMatrix[][]=new int[1000][1000];
    int lengthStorage[] = new int[1000]; //Array to store lengths of each path generated
    int rows, cols, graphMax, frequentLength;
    int nodeOccurence[]=new int[100];
    int relOccurence[]=new int[100];
    int unique=1458;
    public static final int START = 1;  //The following are to set the source and destination path generation
    public static final int END = 1;
    HashMap<String,Double> semanticProfiles[] = new HashMap[100];

    ArrayList<String> patternList = new ArrayList<String>(); //To store the patterns of paths i.e relation only path types
    
    ArrayList<String> topKPaternList=new ArrayList<String>();
    
    Connection connDAN = null; //Connection Object for the DB

    public PathHomePage() {
        initComponents();
    }

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        fileChooser = new javax.swing.JFileChooser();
        jLabel1 = new javax.swing.JLabel();
        fileNameText = new javax.swing.JTextField();
        submitBtn = new javax.swing.JButton();
        ChooseBtn = new javax.swing.JButton();
        exitBtn = new javax.swing.JButton();

        fileChooser.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                fileChooserActionPerformed(evt);
            }
        });

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        jLabel1.setText("FILE NAME");

        submitBtn.setText("SUBMIT");
        submitBtn.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                submitBtnActionPerformed(evt);
            }
        });

        ChooseBtn.setText("CHOOSE");
        ChooseBtn.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                ChooseBtnActionPerformed(evt);
            }
        });

        exitBtn.setText("EXIT");
        exitBtn.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                exitBtnActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(submitBtn, javax.swing.GroupLayout.PREFERRED_SIZE, 224, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(javax.swing.GroupLayout.Alignment.LEADING, layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jLabel1, javax.swing.GroupLayout.PREFERRED_SIZE, 81, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(44, 44, 44)
                        .addComponent(ChooseBtn, javax.swing.GroupLayout.PREFERRED_SIZE, 99, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(53, 53, 53)
                        .addComponent(fileNameText, javax.swing.GroupLayout.PREFERRED_SIZE, 237, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(126, Short.MAX_VALUE))
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap(532, Short.MAX_VALUE)
                .addComponent(exitBtn)
                .addGap(63, 63, 63))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(68, 68, 68)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel1, javax.swing.GroupLayout.PREFERRED_SIZE, 34, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(fileNameText, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(ChooseBtn))
                .addGap(128, 128, 128)
                .addComponent(submitBtn)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 152, Short.MAX_VALUE)
                .addComponent(exitBtn)
                .addGap(30, 30, 30))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void ChooseBtnActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ChooseBtnActionPerformed
        // TODO add your handling code here:
        //Reading the file name of dataset
        int returnVal = fileChooser.showOpenDialog(this);
        if (returnVal == JFileChooser.APPROVE_OPTION) {
            File file = fileChooser.getSelectedFile();
            fileName = file.getAbsolutePath();
            fileNameText.setText(fileName);
            System.out.println(fileName);
        } else {
            System.out.println("No file is choosen");
        }

    }//GEN-LAST:event_ChooseBtnActionPerformed

    private void fileChooserActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_fileChooserActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_fileChooserActionPerformed

    private void submitBtnActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_submitBtnActionPerformed
        
        
        try {

            //CREATING OBJECTS
            
            //Creating object for CSVReader Class which is used to read csv file and stores into array
            CSVReaderIntoMatrix csvObj = new CSVReaderIntoMatrix();
            
            //Creating object for inversepathdatacreator class which is used to create data from forward path data matrix for inverse path
            InversePathDataCreator inverseDataObj=new InversePathDataCreator();
            
            //Creating object for Graph class which creates graph for given adjacency matrix
            Graph graph = new Graph();
            
            //Creating object for Search class which is used to search on the given grpah for specific source and destination
            Search searchObj = new Search();
            
            //Creating object for FrequentFinder class which s used to find frequent length of path from length Array
            FrequentFinder freqObj = new FrequentFinder();

            //creating database operator class objects
            MysqlConnect mysqlObj = new MysqlConnect();
            
            //Creating object for converting relation csv file into matrix
            CSVRelationIntoMatrix relReaderObj = new CSVRelationIntoMatrix();
            
            //Creating object for relationprinter class which is used to populate relations inbetween nodes in forward path
            RelationPrinter printerObj = new RelationPrinter();
            
            //Creating object for relation & name Reader class 
            RelationNameReader relationObj = new RelationNameReader();
            RelationNameReader nameObj = new RelationNameReader();
            
            //Creating object for relationprinter class which is used to populate relations inbetween nodes in reverse path
            InverseRelationPrinter inversePrinterObj = new InverseRelationPrinter();
            
            //Creating object for class which is for logical notation genration
            LogicalNotationPrinter logicalObj = new LogicalNotationPrinter();
            
            //Creating object for namer class
            Namer namerObj = new Namer();
            
            //Creating object for grouping class
            GroupPattern grpObj = new GroupPattern();
            
            
            //CALLING METHODS
            
            //creating matrix from csv file
            matrix = csvObj.matrixReturnFromCSV(fileName, matrix);

                         
            //reporting number of rows and columns in the created matrix
            
            rows = csvObj.reportRowCol();
            cols = csvObj.reportRowCol();

            //converting matrix into inverse matrix
            
            inverseMatrix=inverseDataObj.doInverseMatrix(matrix, inverseMatrix, rows, cols);
            
             
            //Creating connection to mysql DB through jdbc
            connDAN = mysqlObj.doConnectMySql(connDAN, dbURL);
           /*
            
             //Creating graph for  adjacency matrix 
            graph = searchObj.createGraph(matrix, rows, cols);
            
            //searching the matrix to list the possible paths
            //in search function itself insertion of valid path to DB is done
            for (int i = 1; i <= rows; i++) {
                for (int j = 1; j <= cols; j++) {
                    searchObj.setValues(i, j);
                    lengthStorage = searchObj.searchFn(graph, lengthStorage, connDAN,"path_table");
                }
            }

            //finding the frequent length
            //frequentLength = freqObj.finder(lengthStorage, rows, cols);
            frequentLength=6;
            System.out.println("frequent length is\t" + frequentLength);

             //Creating graph for inverse adjacency matrix 
            graph = searchObj.createGraph(inverseMatrix, rows, cols);
            
            //searching the matrix to list the possible paths
            //in search function itself insertion of valid path to DB is done
            for (int i = 1; i <= rows; i++) {
                for (int j = 1; j <= cols; j++) {
                    searchObj.setValues(i, j);
                    lengthStorage = searchObj.searchFn(graph, lengthStorage, connDAN,"inverse_path_table");
                }
            }

            //checking and removing dupilcates which occured as substring in longer paths in fwd as well as inverse paths
            mysqlObj.splitData(connDAN,19,"path_table");
            mysqlObj.splitData(connDAN, rows,"inverse_path_table");
            
            //filter the unique paths and move them into a new table called unique_path_table and unique_inverse_path_table
            mysqlObj.createFilteredTable(connDAN,"path_table","unique_path_table");
            mysqlObj.createFilteredTable(connDAN,"inverse_path_table","unique_inverse_path_table");
            
            //cut the longer path
            mysqlObj.cutShort(connDAN,frequentLength,"unique_path_table","cutshort_greater4");
            
            
            //club cutshorted paths and equal to frequent length of unique_path_table
            mysqlObj.clubFrequentLengths(connDAN,"path_table","cutshort_greater4","four_length_table", frequentLength);
            
            //check redundancy i.e full redundancy and remove then move to another table
            mysqlObj.removeDuplicates(connDAN,"four_length_table","unique_4length_table"); 
            
            //move short paths into a new table which are less than in length to frequentlength
            mysqlObj.moveShortPaths(connDAN,"path_table","modified_short_path_table", frequentLength);           
            
            
            //add inverse to short paths which are less than in length to frequent path length
            
            mysqlObj.repeatAddInverse(connDAN, "modified_short_path_table", "unique_inverse_path_table", frequentLength);
            
            //cut the long padded paths which are greater in length compared to frequent path length after padded inverse paths
            mysqlObj.cutShort(connDAN, frequentLength, "modified_short_path_table", "cutshort_padded_path_table");
            
            //after cutting remove duplicates
            mysqlObj.removeDuplicates(connDAN, "cutshort_padded_path_table", "unique_cutshort_padded_path_table");
          
            //now  unique_cutshort_padded_path_table and unique_4length_table has all paths
            //**** but process these two table separately till the end ****
            
            //next add the all possible relations in between two nodes
           
            //Before this read the relationships between all the nodes
            */
            relMatrix = relReaderObj.RelationMatrixReturnFromCSV("C:\\Users\\Dell\\Desktop\\9-11-csv-19-rel.csv", relMatrix);

            //populate all possible relations between forward path's nodes
            printerObj.nodeRelationLinker(connDAN, relMatrix, "unique_4length_table","node_relation_table");
            
            //populate all possible relations between inverse path's nodes            
            inversePrinterObj.nodeRelationLinker(connDAN, relMatrix, "unique_cutshort_padded_path_table","node_inverse_relation_table");

            //read the names of locations and people
            name = nameObj.RelationNameReaderFromCSV("C:\\Users\\Dell\\Desktop\\names.csv", name, 59);
            
            //read the names of relationships 
            rel = relationObj.RelationNameReaderFromCSV("C:\\Users\\Dell\\Desktop\\relation-csv.csv", rel, 36);
           
            //print the numbers as names
            System.out.println("Printing the forward relation\n");
            namerObj.numberToNameConverter(connDAN, "node_relation_table", name, rel);
            
            //this is for inverse included paths
            System.out.println("Printing the inverse included relation\n");
            namerObj.numberToInverseNameConverter(connDAN, "node_inverse_relation_table", name, rel);
           
            // print in logical notation format
            logicalObj.logicalNotationer(connDAN, "node_relation_table", name, rel, "logical_path_table");
            logicalObj.logicalInverseNotationer(connDAN, "node_inverse_relation_table", name, rel, "logical_path_table");
             
            //combine both inverse and fwd paths
            mysqlObj.joinForwardReversePaths(connDAN,"node_relation_table","node_inverse_relation_table", "node_forward_reverse_relation_table");
           
            //group similar patterns into another table
            
            grpObj.patternMatcher(connDAN, "logical_path_table", "node_forward_reverse_relation_table","modified_ssort",rel,4,"modified_pupt");
            grpObj.loopMetaConstraint(connDAN,"logical_path_table","modified_lt" , name,19,"modified_pupt");
            grpObj.singleRelationMetaConstraint(connDAN,"logical_path_table","modified_srt", rel,19,4,"modified_pupt");
            nodeOccurence=grpObj.occurenceOfNode(connDAN,"node_forward_reverse_relation_table",19, nodeOccurence) ;
            minNd=grpObj.findMin(nodeOccurence,19, minNd);
            maxNd=grpObj.findMax(nodeOccurence,19, maxNd);
            relOccurence=grpObj.occurenceOfRelation(connDAN,"logical_path_table",36, relOccurence); 
            minRl=grpObj.findMin(relOccurence,36, minRl) ;
            maxRl=grpObj.findMax(relOccurence,36, maxRl) ;
           
            grpObj.selectionNode(connDAN,"logical_path_table","modified_snt", name, minNd,"modified_pupt") ;
            grpObj.selectionRelation(connDAN,"logical_path_table","modified_sert", rel, minRl,"modified_pupt"); 
            grpObj.exclusionNode(connDAN,"logical_path_table","modified_ent", name, maxNd,"modified_pupt") ;
            grpObj.exclusionRelation(connDAN,"logical_path_table","modified_ert", rel, maxRl,"modified_pupt"); 
          
            
            FastStringSearcher dupObj=new FastStringSearcher();
            pathArrayList=dupObj.doPackInArrayList(connDAN,"path_table",19, pathArrayList) ;
            DuplicationRemoval rmvObj=new DuplicationRemoval();
            try {
                rmvObj.createThreadsForDupicationRemoval(19,pathArrayList);
            } catch (InterruptedException ex) {
                Logger.getLogger(PathHomePage.class.getName()).log(Level.SEVERE, null, ex);
            }
           
            TopKMatches topkObj=new TopKMatches();
            try {
                 topkObj.putIntoList(connDAN,"modified_ssort","logical_path_table",topKPaternList,4,8) ;
                // topkObj.putIntoListForSRT(connDAN,"modified_srt","logical_path_table",topKPaternList,4,9) ;
                 
            } catch (SQLException ex) {
                Logger.getLogger(PathHomePage.class.getName()).log(Level.SEVERE, null, ex);
            } catch (InterruptedException ex) {
                Logger.getLogger(PathHomePage.class.getName()).log(Level.SEVERE, null, ex);
            }
           /*
           PathWiseRandomExperiment re1Obj=new PathWiseRandomExperiment();
           listOfPaths=re1Obj.moveToList(connDAN,"modified_pupt", listOfPaths) ;
           listOfPaths=re1Obj.doRandom(listOfPaths);
          
           re1Obj.doPathRandomExperiment(listOfPaths,connDAN,"modified_pupt",startersInfoList,unique,semanticProfiles,name,rel);
           
            NodeWiseRandomExperiment re2Obj=new NodeWiseRandomExperiment();
            listOfNodes=re2Obj.shuffleNodeList(listOfNodes, 19);
            re2Obj.doNodeRandomExperiment(listOfNodes, connDAN,"modified_pupt",startersInfoList) ;
           
          */
    
            //disconnecting from the database
            mysqlObj.doDisconnectMySql(connDAN);
            
        }  catch (Exception ex) {
                
            }



    }//GEN-LAST:event_submitBtnActionPerformed

    private void exitBtnActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_exitBtnActionPerformed
        // TODO add your handling code here:
        System.exit(0);
    }//GEN-LAST:event_exitBtnActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {

            public void run() {
                new PathHomePage().setVisible(true);
            }
        });
    }
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton ChooseBtn;
    private javax.swing.JButton exitBtn;
    private javax.swing.JFileChooser fileChooser;
    private javax.swing.JTextField fileNameText;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JButton submitBtn;
    // End of variables declaration//GEN-END:variables
}
