/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */


import java.util.StringTokenizer;
import java.util.logging.Level;
import java.util.logging.Logger;
import java.util.regex.Pattern;
import java.sql.*;

/**
 *
 * @author Dell
 */
public class PatternCheckWithScore {

    /**
     * @param args the command line arguments
     */

    public static int[] wildCardMatchForSSORT(String text, String pattern,int noOfMatches,int scoreCount[],int pt,int number,int max) throws ClassNotFoundException, InstantiationException, IllegalAccessException, SQLException
    {
       
        String [] cards = pattern.split("\\^");
        int scoreVal=noOfMatches+1;
        int gainedScore=0;
        Connection conn=null;
        MysqlConnect conectObj=new MysqlConnect();
        // Iterate over the cards.
        
        for (String card : cards)
        {
            int idx=-1;
            String matched=new String();
            StringTokenizer tkn=new StringTokenizer(text);
            matched=tkn.nextToken("^");
            //System.out.println("curent card\t"+card);
            boolean result = matched.matches(card);
            
            if(result==true){
                idx=1;
                
            }
             scoreVal--;
            
            // Card not detected in the text.
            if(idx == -1)
            {
                //System.out.println("Not Matched..");
                
                break;
                             
            }
            else{
                if(idx==1){
                    //System.out.println("Matched..");
                    //System.out.println("current added score \t"+score);
                    gainedScore=gainedScore+scoreVal;
                }
            }
               
                      
        }
        System.out.println("Gained Score:\t"+gainedScore);
        if(gainedScore==max){
            System.out.println("valid path:\t"+text);
            conn=conectObj.doConnectMySql(conn,"jdbc:mysql://localhost:3306/review3");
            PreparedStatement stmt=conn.prepareStatement("insert into modified_pupt values(?,?,?,0) ");
            stmt.setString(1, text);
            stmt.setInt(2,pt);
            stmt.setInt(3,number);
            stmt.executeUpdate();
            conectObj.doDisconnectMySql(conn);
        }
        scoreCount[gainedScore]=scoreCount[gainedScore]+1;
        return scoreCount;
        
    }
    public static int[] wildCardMatchForSRT(String text, String pattern,int noOfMatches,int scoreCount[],int pt,int number,int max)
    {
        // Create the cards by splitting using a RegEx. If more speed 
        // is desired, a simpler character based splitting can be done.
       
        //System.out.println("Pattern\t"+pattern);
        System.out.println("Target Text\t"+text);
        Connection conn=null;
        MysqlConnect conectObj=new MysqlConnect();
        
        String [] cards = pattern.split("\\^");
        int scoreVal=noOfMatches+1;
        int gainedScore=0;
        StringTokenizer tkn=new StringTokenizer(text);
        
        // Iterate over the cards.
        for (String card : cards)
        {
            int idx=0;
            String matched=new String();
            //String trim = card.trim();
            
            matched=tkn.nextToken("^");
            System.out.println("current card\t"+card.trim()+"\tTarget\t"+matched);
            idx=matched.indexOf(card.trim());
            System.out.println("idx:\t"+matched.indexOf(card.trim()));
            scoreVal--;
            
            // Card not detected in the text.
            if(idx !=0)
            {
               // System.out.println("Not Matched..");
                
                break;
                             
            }
            else{
                if(idx==0){
                     // System.out.println("Matched..");
                   // System.out.println("current added score \t"+scoreVal);
                    gainedScore=gainedScore+scoreVal;
                }
            }
               
        }
        System.out.println("Gained Score:\t"+gainedScore);
         if(gainedScore==max){
            try {
                System.out.println("valid path:\t"+text);
                conn=conectObj.doConnectMySql(conn,"jdbc:mysql://localhost:3306/review2");
                PreparedStatement stmt=conn.prepareStatement("insert into modified_new_pupt values(?,?,?,0) ");
                stmt.setString(1, text);
                stmt.setInt(2,pt);
                stmt.setInt(3,number);
                stmt.executeUpdate();
                conectObj.doDisconnectMySql(conn);
            } catch (SQLException ex) {
                Logger.getLogger(PatternCheckWithScore.class.getName()).log(Level.SEVERE, null, ex);
            }
        }
        scoreCount[gainedScore]=scoreCount[gainedScore]+1;
        return scoreCount;
    }
    /*
    public static int[] wildCardMatchForSERT(int rel,String text,int noOfMatches,int scoreCount[]){
        
        System.out.println("Target Text\t"+text);
        
        
        
        int scoreVal=noOfMatches+1;
        int gainedScore=0;
        StringTokenizer tkn=new StringTokenizer(text);
        String card=rel+"(";
        while(noOfMatches>0){
        
            int idx=0;
            String matched=new String();
                        
            matched=tkn.nextToken("^");
            System.out.println("current card\t"+card.trim()+"\tTarget\t"+matched);
            idx=matched.indexOf(card.trim());
            System.out.println("idx:\t"+matched.indexOf(card.trim()));
            scoreVal--;
            
            // Card not detected in the text.
            
                if(idx==0){
                     // System.out.println("Matched..");
                   // System.out.println("current added score \t"+scoreVal);
                    gainedScore=gainedScore+scoreVal;
                }
            
            noOfMatches--;   
        }
        System.out.println("Gained Score:\t"+gainedScore);
        scoreCount[gainedScore]=scoreCount[gainedScore]+1;
        
        return scoreCount;
        
    }
    public static int[] wildCardMatchForSNT(int node,String text,int noOfMatches,int scoreCount[]){
        
        System.out.println("Target Text\t"+text);
        
        
        
        int scoreVal=noOfMatches+1;
        int gainedScore=0;
        StringTokenizer tkn=new StringTokenizer(text);
        String card="("+node;
        String cardLast=node+")";
        while(noOfMatches>0){
            int idx=-1;
            int idxFirst=0,idxLast=0;
            String matched=new String();
                        
            matched=tkn.nextToken("^");
            System.out.println("current card\t"+card.trim()+"\tTarget\t"+matched);
            idxFirst=matched.indexOf(card.trim());
            idxLast=matched.indexOf(cardLast.trim());
            if((idxFirst>=0 )||(idxLast>=0)){
                idx=0;
            }
            System.out.println("idx:\t"+matched.indexOf(card.trim()));
            scoreVal--;
            
            // Card not detected in the text.
            
                if(idx==0){
                     // System.out.println("Matched..");
                   // System.out.println("current added score \t"+scoreVal);
                    gainedScore=gainedScore+scoreVal;
                }
            
            noOfMatches--;   
        }
        System.out.println("Gained Score:\t"+gainedScore);
        scoreCount[gainedScore]=scoreCount[gainedScore]+1;
        
        return scoreCount;
        
    }*/
}
