
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.Collections;
import java.util.StringTokenizer;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author Dell
 */
public class PerformingRandomExperiment {
    
    public ArrayList<String> moveToList(Connection conn,String tblName,ArrayList<String> listOfPaths) throws SQLException{
        
        Statement selectStmt=conn.createStatement();
        ResultSet res=selectStmt.executeQuery("select path from "+tblName);
        while(res.next()){
            listOfPaths.add(res.getString("path"));
        }
        int countOfPaths=listOfPaths.size();
        System.out.println(countOfPaths);
        return listOfPaths;
    }
    
    public ArrayList<String> doRandom(ArrayList<String> listOfPaths){
     
        Collections.shuffle(listOfPaths);
        return listOfPaths;
    }
    
    public void doRandomExperiment(ArrayList<String> listOfPaths,Connection conn,String ptTblName) throws SQLException{
        
        PreparedStatement matchStmt=conn.prepareStatement("select path from "+ptTblName+" where path like ? " );
        
        for(int i=0;i<listOfPaths.size();i++){
            
            String currentPath=listOfPaths.get(i);
            System.out.println("RANDOMLY SELECTED PATH IS:\t"+currentPath);
            StringTokenizer tkn=new StringTokenizer(currentPath);
            String start=tkn.nextToken("(");
            int startLength=start.length();
            startLength++;
            int commaIndex=currentPath.indexOf(',');
            String S=currentPath.substring(startLength, commaIndex);
            System.out.println("STARTING NODE OF RANDOMLY SELECTED PATH IS:\t"+S);
            matchStmt.setString(1,currentPath);
            ResultSet matchedSet=matchStmt.executeQuery();
            matchedSet.last();
            int ptAvail=0;
            ptAvail=matchedSet.getRow();
            matchedSet.first();
            if(ptAvail>0){
                while(matchedSet.next()){
                    System.out.println(matchedSet.getString("path"));
                 }
            }
            else{
                System.out.println("No Path Type Availabele");
            }
        }
    }
}
