/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package phase.ii.pkg19;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.sql.*;
import java.lang.Math;
import java.util.Arrays;
import java.util.Collections;
import java.util.Comparator;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Hashtable;
import java.util.Iterator;
import java.util.Map;
/**
 *
 * @author Dell
 */
public class PhaseII19 {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) throws SQLException {
        //Outlier detection
        MysqlConnect mysqlObj = new MysqlConnect();
       
       //intializing the variables      
       Connection connDAN = null; // DB connection
       String dbURL = "jdbc:mysql://localhost:3306/19outliers";
       int k=4; //no of neighbors
       int n=3; //no of outliers
       int Bb=2; //no of elements in a block B
       int D=4; //total no of elements
       int b=1,j1=1; //starting indexes
       double c=0; //c <- 0
       
       ArrayList<String> O=new ArrayList<String>();  // O <- null
       ArrayList<String> neighbors[]=new ArrayList[100]; // Arralist to store the neighbors
       ArrayList<String> tempNeighbors[]=new ArrayList[100]; //tempneighbors
       
       double scoreOfNodes[]=new double[100];
       System.out.println("IDENTIFICATION OF OUTLIERS..\n");
       
       //declaring the neighbors set in the intial
       for(int i1=1;i1<=D;i1++){
           
           neighbors[i1]=new ArrayList<String>();
           tempNeighbors[i1]=new ArrayList<String>();
       }
       
       connDAN = mysqlObj.doConnectMySql(connDAN, dbURL);
       PreparedStatement dSelectStmt=connDAN.prepareStatement("select * from features_table where example like ? ");
       PreparedStatement bSelectStmt=connDAN.prepareStatement("select * from features_table where example like ? and notinBlist=0");
       PreparedStatement bdeleteStmt=connDAN.prepareStatement("update features_table set notinBlist=1 where example like ? ");
      
       while(b<=D){
           
         
          
           for(int i1=1;i1<=D;i1++){ 
             
                dSelectStmt.setString(1, i1+"");
                ResultSet dFeatures=dSelectStmt.executeQuery();

                
                for(j1=b;(j1<=b+Bb-1);j1++){ 
                    
                    System.out.println(i1+"\tVs\t"+j1+"\n");
                    
                    if(i1!=j1){ 
                   
                        bSelectStmt.setString(1, j1+"");
                        ResultSet bFeatures=bSelectStmt.executeQuery(); 

                        double checkDist=distance(j1,i1,connDAN);
                        System.out.println("distance("+j1+","+i1+")\t:\t"+checkDist);
                        double maxDist=maxDistance(j1,neighbors[j1],connDAN);
                        System.out.println("maxDist("+j1+",with neighbors"+maxDist);
                        if((neighbors[j1].size()<k)||(checkDist<maxDist)){
                      
                           
                           //System.out.println("Inside if condition..\n");
                           
                            System.out.println("Existing Neighbors("+j1+")\n"+"{");
                              for(int u=0;u<neighbors[j1].size();u++){
                                
                                System.out.print("index of neighbors:"+u+"value:\t"+neighbors[j1].get(u)+"\n");
                                
                            }
                            System.out.println("Size of neighbors list:\t"+neighbors[j1].size());
                            tempNeighbors[j1].clear();
                            //System.out.println("Size of temp neighbors list b4:\t"+tempNeighbors[j1].size());
                            for(int u=0;u<neighbors[j1].size();u++){
                                tempNeighbors[j1].add(neighbors[j1].get(u));
                                //System.out.print("index of neighbors:"+u+"value:\t"+neighbors[j].get(u)+"\n");
                                
                            }
                            System.out.print("}\n");
                            
                            tempNeighbors[j1].add(i1+"");
                            //System.out.println("Size of temp neighbors list:\t"+tempNeighbors[j1].size());
                            //System.out.println("After including d..new neighbor list of "+j1+"\n"+"{");
                            for(int r=0;r<tempNeighbors[j1].size();r++){
                                System.out.print("index:"+r+"\tvalue:\t"+tempNeighbors[j1].get(r)+"\t");
                            }
                            System.out.print("}\n");
                            
                            neighbors[j1].clear();
                       
                            closestNeigbors(j1,tempNeighbors[j1],k,neighbors,j1,connDAN);
                          
                            /*System.out.println("Closest Neighbors..");
                        
                            for(int p=0;p<neighbors[j].size();p++){
                                System.out.println(neighbors[j].get(p));
                            }
                            */
                        
                            double averageScore;
                            averageScore=averageScoreOfk(j1,neighbors,k,connDAN);
                            scoreOfNodes[j1]=averageScore;
                            System.out.println("Average Score of :\t"+j1+"with it neighbors:\t"+averageScore);
                            if(averageScore<c){
                                bdeleteStmt.setString(1, j1+"");
                                bdeleteStmt.executeUpdate();
                            }
                                
                    }
                } // if b!=d
                } //for each b in B ending here
            
         
              
            }//for each d in D ending here
       
        // O=Top(B U O,n) ..keep only top n outliers
        // c=min(score(o)) for all o in O
        //System.out.println("Before sending to top n outliers..\n");
        for(int k1=0;k1<O.size();k1++)
            System.out.println(O.get(k1));
        //int D,int b,int B,ArrayList<String> O,ArrayList<String> neighbors[],int n,Connection connDAN
        topNOutliers(D,b,Bb,O,neighbors,n,connDAN);
        Namer nameObj=new Namer();
        System.out.println("***********************************************\n");
        System.out.println("TOP N OUTLIERS....\n");
        System.out.println("Name List of Outliers:\n");
        for(int k1=0;k1<O.size();k1++){
            nameObj.namerOulier(O.get(k1), connDAN);
        }
        b=b+Bb; 
        System.out.println("***********************************************\n");
         
       }
       //return O
       PreparedStatement OutStmt=connDAN.prepareStatement("update features_table set notinBlist=0 ") ;
       OutStmt.executeUpdate();
       System.out.println("ONR CLASSIFICATION..\n");
       for(int k1=0;k1<O.size();k1++)
       {
           PreparedStatement outUpdate=connDAN.prepareStatement("update features_table set notinblist=1 where example like ? ");
           outUpdate.setString(1,O.get(k1)+"");
           outUpdate.executeUpdate();
           PrimitivePanKNN panObj=new PrimitivePanKNN();
           int q=Integer.parseInt(O.get(k1)+"");
           //System.out.println("q "+q);
           panObj.panKnn(q);
           PreparedStatement outUp=connDAN.prepareStatement("update features_table set notinblist=0 ");
           outUp.executeUpdate();
       }
       PreparedStatement oUpdateStmt=connDAN.prepareStatement("update typeofnodes set type='O' where example like ? ");
       for(int k1=0;k1<O.size();k1++){
           
           oUpdateStmt.setString(1,O.get(k1)+"");
           oUpdateStmt.executeUpdate();
           
       }
       //updating the class in dataset
       PreparedStatement clsStmt=connDAN.prepareStatement("select example,type from typeofnodes ");
       PreparedStatement updateCls=connDAN.prepareStatement("update hijackers set class=? where instance like ? ");
       ResultSet clsRs=clsStmt.executeQuery();
       while(clsRs.next()){
            String node=clsRs.getString("example");
            String cls=clsRs.getString("type");
            updateCls.setString(1, node); 
            updateCls.setString(2,cls);
            updateCls.executeUpdate();
       }
       //feature selection
       System.out.println("DOMINANT FEATURE SELECTION..\n");
       FCBF fcbfObj=new FCBF();
       fcbfObj.fcbffs();
       //Reflecting the dominant feature set for nlp;
       //NLP
       ThreeClassNLP nlpObj=new ThreeClassNLP();
       nlpObj.explanation();

       mysqlObj.doDisconnectMySql(connDAN);
    }
    public static double distance(int m,int n,Connection connDAN) throws SQLException{
       double dist=0;
       double mVal=0,nVal=0;
       double distanceArray[]=new double[100];
       PreparedStatement mSelectStmt=connDAN.prepareStatement("select * from features_table where example like ? ");
       PreparedStatement nSelectStmt=connDAN.prepareStatement("select * from features_table where example like ? and notinBlist=0");
       mSelectStmt.setString(1, m+"");
       ResultSet mFeatures=mSelectStmt.executeQuery();
       nSelectStmt.setString(1, n+"");
       ResultSet nFeatures=nSelectStmt.executeQuery();
       
       while(mFeatures.next()&&nFeatures.next()){
           for(int z=1;z<=2;z++){
               mVal=Double.parseDouble(mFeatures.getString("feature"+z));
               nVal=Double.parseDouble(nFeatures.getString("feature"+z));
              
              if(nVal==0){
                distanceArray[z]=mVal;
              }
              else if(mVal==0){
                distanceArray[z]= nVal;
              }
              else{
              distanceArray[z]=nVal-mVal;
              System.out.println("distanceArray[z]\t"+distanceArray[z]);
              if(distanceArray[z]!=0){
                dist=dist+Math.pow(distanceArray[z], 2);
                System.out.println("distance is not zeero");
              }
              else{
                  dist=0;
                  System.out.println("distance is  zeero");
              }
           }
           }
           mFeatures.beforeFirst();
       }
       dist=Math.sqrt(dist);
      // System.out.println("distance:\t"+dist);
       return dist;
   }
  public static double maxDistance(int m,ArrayList<String> neighborsList,Connection connDAN) throws SQLException{
      double dist[]=new double[100];
      int listLength=0;
      double maxDist=0;
      double distanceArray[]=new double[100];
      int n;
      listLength=neighborsList.size();
      PreparedStatement mSelectStmt=connDAN.prepareStatement("select * from features_table where example like ? ");
      PreparedStatement nSelectStmt=connDAN.prepareStatement("select * from features_table where example like ? and notinBlist=0");
     // mSelectStmt.setString(1, m+"");
     // ResultSet mFeatures=mSelectStmt.executeQuery();
      
      for(int y=0;y<listLength;y++){
          nSelectStmt.setString(1, neighborsList.get(y)+"");
          ResultSet nFeatures=nSelectStmt.executeQuery();
      /*    while(mFeatures.next()&&nFeatures.next()){
               for(int z=1;z<=2;z++){
                   System.out.println(mFeatures.getString("feature"+z)+"\t"+nFeatures.getString("feature"+z));
                   distanceArray[z]=Double.parseDouble(nFeatures.getString("feature"+z))-Double.parseDouble(mFeatures.getString("feature"+z));
                   dist[y]=dist[y]+Math.pow(distanceArray[z], 2);
           } 
               System.out.println("distance between :\t"+m+"and"+nFeatures.getString("example")+dist[y]);
               mFeatures.beforeFirst();
          }*/
          while(nFeatures.next()){
              n=Integer.parseInt(nFeatures.getString("example"));
              dist[y]=distance(m,n,connDAN);
          }
      }
      maxDist=dist[0];
      for(int y=1;y<listLength;y++){
          if(maxDist<dist[y]){
              maxDist=dist[y];
          }
          
      }
     // System.out.println("max distance:\t"+maxDist);
      return maxDist;
  }
  
  public static void closestNeigbors(int b,ArrayList<String> tempNeighbors,int k,ArrayList<String> neighbors[],int neighbor,Connection connDAN) throws SQLException{
      
    
      int currentNeighbor=1;
      
      PreparedStatement bSelectStmt=connDAN.prepareStatement("select * from features_table where example like ? and notinBlist=0 ");
      PreparedStatement neighborsSelectStmt=connDAN.prepareStatement("select * from features_table where example like ? ");
      bSelectStmt.setString(1, b+"");
      ResultSet bFeatures=bSelectStmt.executeQuery();
      Hashtable neighborDistance=new Hashtable();
      double dist=0;
      for(int p=0;p<tempNeighbors.size();p++){
          currentNeighbor=Integer.parseInt(tempNeighbors.get(p));
          dist=distance(b,currentNeighbor,connDAN);
          neighborDistance.put(currentNeighbor+"",dist);
          System.out.println("Distance between "+b+"\tand\t"+currentNeighbor+"\tis\t"+dist);
          
      }
      SorterClosest closeSortObj=new SorterClosest();
      closeSortObj.sortTechnique(neighborDistance, k, neighbors, neighbor);
      System.out.println("After Sorting and removing distanced neighbors\n{");
      for(int u=0;u<neighbors[b].size();u++){
          System.out.print(neighbors[b].get(u)+"\t");
      }
      System.out.print("}\n");
  }
  public static double averageScoreOfk(int j,ArrayList<String> neighbors[],int k,Connection connDAN) throws SQLException{
      double avg=0;
      if(!neighbors[j].isEmpty()){
          //System.out.println("The list is non empty..\n");
        for(int i=0;i<neighbors[j].size();i++){
            //System.out.println("the size of the neighbors list :\t"+neighbors[j].size());
            avg=avg+distance(j,Integer.parseInt(neighbors[j].get(i)),connDAN);
            //System.out.println("Current sum of distances:\t"+avg);
           // System.out.println("Average:\t"+avg);
        }
        avg=avg/neighbors[j].size();
      }
      return avg;
  }
  public static void topNOutliers(int D,int b,int B,ArrayList<String> O,ArrayList<String> neighbors[],int n,Connection connDAN) throws SQLException{
     ResultSet bResultSet;
     double c=0;
     int neighborCount[]=new int[100];
     PreparedStatement outlierSelect=connDAN.prepareStatement("select example from features_table where example like ? and notinBlist=0 "); 
     for(int t=b;t<b+B;t++){
         outlierSelect.setString(1,t+"");
         bResultSet=outlierSelect.executeQuery();
         if(bResultSet.next()){
             O.add(t+"");
             System.out.println("Eligible element of B to be outlier:\t"+t);
         }
         else{
             System.out.println("NON Eligible element of B to be outlier:\t"+t);
         }
     }
     System.out.println("Contents of outlier list:\n");
     for(int l=0;l<O.size();l++){
         System.out.println(O.get(l));
     }
     //Finding the neighbor count
     int index;
     Hashtable neighborCountht=new Hashtable();
     for(int t=1;t<=D;t++){
        if(neighbors[t].size()>0){
            for(int t1=0;t1<neighbors[t].size();t1++){
                index=Integer.parseInt(neighbors[t].get(t1));
                neighborCount[index]=neighborCount[index]+1;
            }
            
        }
     }
     for(int t=1;t<=D;t++){
         System.out.println("nc of:"+t+"is\t"+neighborCount[t]);
         if(O.contains(t+"")){
             System.out.println("elements to be inserted:\t"+t+"\tneighbor count of this:\t"+neighborCount[t]);
             neighborCountht.put(t+"",(double) neighborCount[t]);             
         }
     } 
     NeighborCountSorter ncObj=new NeighborCountSorter();
     ncObj.neighborCountSorting(neighborCountht,O,n);

  }
   
    public static double averageScore(int j,ArrayList<String> neighbors,int k,Connection connDAN) throws SQLException{
      double avg=0;
      if(!neighbors.isEmpty()){
          //System.out.println("The list is non empty..\n");
        for(int i=0;i<neighbors.size();i++){
            System.out.println("the size of the neighbors list :\t"+neighbors.size());
            avg=avg+distance(j,Integer.parseInt(neighbors.get(i)),connDAN);
            System.out.println("Average:\t"+avg);
        }
        avg=avg/neighbors.size();
      }
      return avg;
  }
  public static double minScore(ArrayList<String> O,ArrayList<String> neighbors[],Connection connDAN) throws SQLException{
      double c=0;
      
      double score[]=new double[100];
      for(int h1=0;h1<O.size();h1++){
          for(int h2=0;h2<neighbors[Integer.parseInt(O.get(h1))].size();h2++ ){
               score[Integer.parseInt(O.get(h1))]=score[Integer.parseInt(O.get(h1))]+distance(Integer.parseInt(O.get(h1)),Integer.parseInt(neighbors[Integer.parseInt(O.get(h1))].get(h2)),connDAN);
          }
          score[Integer.parseInt(O.get(h1))]=score[Integer.parseInt(O.get(h1))]/neighbors[Integer.parseInt(O.get(h1))].size();
      }
      c=score[1];
      for(int i=2;i<=score.length;i++){
          if(c>score[i]){
              c=score[i];
          }
          
      }
      return c;
      
      
  }
  public static int findClassCategory(String featureName,Connection connDAN,String cls,String category) throws SQLException{
        
        int count=0;
       
        String query1="select count(instance) as cc from hijackers where "+featureName;
        String query2="and class like ";
        PreparedStatement countCategory=connDAN.prepareStatement(query1+" like ? "+query2+" ? ");
        countCategory.setString(1,category);
        countCategory.setString(2,cls);
        ResultSet categoryCountRs=countCategory.executeQuery();
        while(categoryCountRs.next()){
            count=Integer.parseInt(categoryCountRs.getString("cc"));
        }
        categoryCountRs.close();
        return count;
    }
    public static double entropyOfClass(String cls,Connection connDAN,double totalInstances) throws SQLException{
        double entropyOfCls=0,temp;
        int cnt=0;
        PreparedStatement countClass=connDAN.prepareStatement("select count(class) as classCount from hijackers where class like ? ");
        countClass.setString(1,cls);
        ResultSet cntRs=countClass.executeQuery();
        while(cntRs.next()){
            cnt=Integer.parseInt(cntRs.getString("classCount"));
        }
        temp=cnt/totalInstances;
        entropyOfCls=(-1)*(temp)*(Math.log(temp)/Math.log(2));
        System.out.println("Entropy of "+cls+" is\t"+entropyOfCls);
        return entropyOfCls;
        
    }
    public static double posteriorEntropy(double mainratio,double ratio1,double ratio2){
        double posterior=0;
        
        posterior=(-1)*(mainratio)*(((-1)*ratio1*(Math.log(ratio1)/Math.log(2)))+((-1)*ratio2*(Math.log(ratio2)/Math.log(2))));
        if((Math.log(ratio2)==0)||(Math.log(ratio1)==0))
            posterior=0;
        //System.out.println(ratio1*(Math.log(ratio1)/Math.log(2)));
        //System.out.println(ratio2*(Math.log(ratio2)/Math.log(2)));
        System.out.println(posterior);
       
        return posterior;
    }
    public static double SUijCalculator(double ei,double ej,String Fi,String Fj,Connection connDAN,double total) throws SQLException{
        double suij=0;
        double eij=0;
        eij=eijCalculator(Fi,Fj,connDAN,total);
        suij=(-2)*((ei-eij)/(ei+ej));
        return suij;
    }
    public static double eijCalculator(String Fi,String Fj,Connection connDAN,double total) throws SQLException{
        
        double Eij=0,eij1,eij2;
        double r1=0,r2=0,r3=0,r4=0,r5=0,r6=0;
        PreparedStatement s1=connDAN.prepareStatement("select count(instance) as cc from hijackers where "+Fj+" like 'NC' ");
        System.out.println("select count(instance) as cc from hijackers where "+Fj+" like 'NC' ");
        PreparedStatement s2=connDAN.prepareStatement("select count(instance) as cc from hijackers where "+Fj+" like 'NC' and "+Fi+" like 'NC' ");
        PreparedStatement s3=connDAN.prepareStatement("select count(instance) as cc from hijackers where "+Fj+" like 'NC' and "+Fi+" like 'C' ");
        PreparedStatement s4=connDAN.prepareStatement("select count(instance) as cc from hijackers where "+Fj+" like 'C' and "+Fi+" like 'NC' ");
        PreparedStatement s5=connDAN.prepareStatement("select count(instance) as cc from hijackers where "+Fj+" like 'C' and "+Fi+" like 'C' ");
        PreparedStatement s6=connDAN.prepareStatement("select count(instance) as cc from hijackers where "+Fj+" like 'C' ");
        
        ResultSet rs1=s1.executeQuery();
        ResultSet rs2=s2.executeQuery();
        ResultSet rs3=s3.executeQuery();
        ResultSet rs4=s4.executeQuery();
        ResultSet rs5=s5.executeQuery();
        ResultSet rs6=s6.executeQuery();
        
        while(rs1.next()){
            r1=Double.parseDouble(rs1.getString("cc"));
        }
        while(rs2.next()){
            r2=Double.parseDouble(rs2.getString("cc"));
        }
        while(rs3.next()){
            r3=Double.parseDouble(rs3.getString("cc"));
        }
        while(rs4.next()){
            r4=Double.parseDouble(rs4.getString("cc"));
        }
        while(rs5.next()){
            r5=Double.parseDouble(rs5.getString("cc"));
        }     
        while(rs6.next()){
            r6=Double.parseDouble(rs6.getString("cc"));
        }
        System.out.println("r1\t"+r1+"r2\t"+r2+"r3\t"+r3+"r4\t"+r4+"r5\t"+r5+"r6\t"+r6);
        
        eij1=(r1/total)*(((-1)*(r2/r1)*(Math.log(r2/r1)/Math.log(2)))+((-1)*(r3/r1)*(Math.log(r3/r1)/Math.log(2))));
        eij2=(r6/total)*(((-1)*(r4/r6)*(Math.log(r4/r6)/Math.log(2)))+((-1)*(r5/r6)*(Math.log(r5/r6)/Math.log(2))));
        System.out.println("eij1:\t"+eij1);
        System.out.println("eij2:\t"+eij2);
        if(Double.isNaN(eij1)){
            if(Double.isNaN(eij2)){
                Eij=0;
            }
            else{
                Eij=eij2;
            }
        }
        else{
            if(Double.isNaN(eij2)){
                Eij=eij1;
            }
            else{
                Eij=eij1+eij2;
            }
        }
        //Eij=eij1+eij2;
        System.out.println("Eij:\t"+Eij);
        return Eij;
    }
}

