import java.beans.Statement;
import java.sql.Connection;
import java.util.LinkedList;

public class Search {

    public  int START;
    public  int END; 
    int lengthOfPath=0;
    public int maxLength[][]=new int[100][100];
    int k=0,Rows,Cols;
    StringBuffer path=new StringBuffer();
   
    MysqlConnect mysqlObj=new MysqlConnect();
    Statement stmt;
    //for db
   
    // jdbc Connection
    //setting values to search function i.e setting source and destination
          
   public void setValues(int s1,int s2){
       START=s1;    
       END=s2;
   }
   //creating grpah for specific matrix
    public Graph createGraph(int matrix[][],int rows,int cols){
        Graph graph = new Graph();
        Rows=rows;
        Cols=cols;
        for(int i=1;i<=rows;i++){
            for(int j=1;j<=cols;j++){
                if(matrix[i][j]==1){
                    graph.addEdge(i,j);
                }
            }
        }
        return graph;
        
    }
    public  int[] searchFn(Graph graph,int lengthStorage[],Connection conn,String tblName){
        k=0;
        LinkedList<Integer> visited = new LinkedList();
        visited.add(START);
        //System.out.println("i m inside searchfn ..value of start is\t"+START);
        new Search().breadthFirst(graph, visited,START,END,lengthStorage,conn,tblName);
        return lengthStorage;
    }

    public void breadthFirst(Graph graph, LinkedList<Integer> visited,Integer START,Integer END,int lengthStorage[],Connection conn,String tblName) {
        LinkedList<Integer> nodes = graph.adjacentNodes(visited.getLast());
        // examine adjacent nodes
        for (Integer node : nodes) {
            if (visited.contains(node)) {
                continue;
            }
             //System.out.println("i m inside BFS ..value of end is\t"+END);
            if (node.equals(END)) {
                visited.add(node);
                k++;
                lengthStorage=printPath(visited,START,END,lengthStorage,conn,tblName);
                visited.removeLast();
                break;
            }
        }
        // in breadth-first, recursion needs to come after visiting adjacent nodes
        for (Integer node : nodes) {
            if (visited.contains(node) || node.equals(END)) {
                //System.out.println("i m inside BFS recursive ..value of start is\t"+END);
                continue;
            }
            visited.addLast(node);
            breadthFirst(graph, visited,START,END,lengthStorage,conn,tblName);
            visited.removeLast();
        }
    }

    public int[] printPath(LinkedList<Integer> visited,int START,int END,int lengthStorage[],Connection conn,String tblName) {
        
        for (Integer node : visited) {
            lengthOfPath++;
            path.append("."+node);
          
        }
        lengthOfPath--;
        mysqlObj.doInsertInMySql(conn, path, lengthOfPath, 0,tblName);   
        lengthStorage[lengthOfPath]=lengthStorage[lengthOfPath]+1;
        lengthOfPath=0;
        System.out.println("path inserted in DB is \t"+path);
        path.setLength(0);
        return lengthStorage;
    }
    public void reportMaxPathLength(int lengthStorage[][][]){
        int max;
        for(int i=1;i<=Rows;i++){
            for(int j=1;j<=Cols;j++){
              
                maxLength[i][j]=lengthStorage[i][j][1];
                while(lengthStorage[i][j][k]>0){
                    if(maxLength[i][j]<lengthStorage[i][j][k]){
                        maxLength[i][j]=lengthStorage[i][j][k];
                    }
                    
                    k++;
                }
                k=1;
                
            }
        }
        
    }
    public int graphMaxLength(){
        int max=0;
        
        for(int i=1;i<=Rows;i++){
            for(int j=1;j<=Cols;j++){
                if(max<maxLength[i][j]){
                    max=maxLength[i][j];
                }
            }
        }
        return max;
        
    }
   
}

