
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.StringTokenizer;
import java.util.logging.Level;
import java.util.logging.Logger;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/*
 * @author Dell
 */

public class TopKMatches extends Thread {
    private int score[]=new int[20];
    private int gained[]=new int[20];
    private String pt;
    private ArrayList<String> allPathLt;
    private int splitMax;
    private int type;
    private int pathtype;
    private int number;
    private int minRel;
    private int max;
    
    PatternCheckWithScore scoreObj=new PatternCheckWithScore();
    public TopKMatches(){
        
    }
    public TopKMatches(String pathType,ArrayList<String> allPath,int splitMax,int score[],int gained[],int type,int pt,int number,int max){
        this.pt=pathType;
        this.allPathLt=allPath;
        this.splitMax=splitMax;
        this.score=score;
        this.gained=gained;
        this.type=type;
        this.pathtype=pt;
        this.number=number;
        this.max=max;
    }
   public TopKMatches(int rel,ArrayList<String> allPath,int splitMax,int score[],int gained[],int type,int pt,int number){
        this.minRel=rel;
        this.allPathLt=allPath;
        this.splitMax=splitMax;
        this.score=score;
        this.gained=gained;
        this.type=type;
        this.pathtype=pt;
        this.number=number;
    }
    public void putIntoList(Connection conn,String tbl,String allTbl,ArrayList<String> patternList,int splitMax,int pt) throws SQLException, InterruptedException{
       
        PreparedStatement selectStmt=conn.prepareStatement("select path from "+tbl);
        ResultSet patternsSet=selectStmt.executeQuery();
        PreparedStatement selectAllStmt=conn.prepareStatement("select path from "+allTbl);
        ResultSet allPathSet=selectAllStmt.executeQuery();
        ArrayList<String> allPathList=new ArrayList<String>();
         
        while(patternsSet.next()){
            
           patternList.add(patternsSet.getString("path").replaceAll("%", ".*,.*)") );
            
        }
        
        while(allPathSet.next()){
            
            allPathList.add(allPathSet.getString("path"));
            
        }
        System.out.println("patterns\t"+patternList.size());
        System.out.println("paths\t"+allPathList.size());
        //finding the max score and all scores for given split
        int max=0;
        int score[]=new int[20];
        int scoreCount[]=new int[20];
        for(int i=splitMax;i>=1;i--){
            
            max=max+i;
            score[i]=max;
            //System.out.println("Score of "+i+"\tis\t"+score[i]);
        }
        
        for(int i=0;i<patternList.size();i++){
            
            TopKMatches topObj=new TopKMatches(patternList.get(i),allPathList,4,score,scoreCount,1,pt,i+1,max-1);
            
            topObj.start();
            topObj.join();
            
        }
       
    }
   
    public void putIntoListForSRT(Connection conn,String tbl,String allTbl,ArrayList<String> patternList,int splitMax,int pt) throws SQLException, InterruptedException{
        
        PreparedStatement selectStmt=conn.prepareStatement("select path from "+tbl);
        ResultSet patternsSet=selectStmt.executeQuery();
        PreparedStatement selectAllStmt=conn.prepareStatement("select path from "+allTbl);
        ResultSet allPathSet=selectAllStmt.executeQuery();
        ArrayList<String> allPathList=new ArrayList<String>();
        
        while(patternsSet.next()){
         //  System.out.println(patternsSet.getString("path"));
           patternList.add(patternsSet.getString("path").replaceAll("(%,%)","").replace(')',' '));
         //  System.out.println(patternsSet.getString("path").replaceAll("(%,%)", "")); 
        }
        
        while(allPathSet.next()){
            
            allPathList.add(allPathSet.getString("path"));
            
        }
        System.out.println("patterns\t"+patternList.size());
        System.out.println("paths\t"+allPathList.size());
        //finding the max score and all scores for given split
        int max=0;
        int score[]=new int[20];
        int scoreCount[]=new int[20];
        for(int i=splitMax;i>=1;i--){
            max=max+i;
            score[i]=max;
           // System.out.println("Score of "+i+"\tis\t"+score[i]);
        }
        
        for(int i=0;i<patternList.size();i++){
            
            TopKMatches topObj=new TopKMatches(patternList.get(i),allPathList,4,score,scoreCount,2,pt,i+1,max-1);
            
            topObj.start();
            topObj.join();
            
        }
       
    }
     /*
    public void putIntoListSERT(Connection conn,String allPathTbl,int splitMax,ArrayList<Integer> minRl) throws SQLException, InterruptedException{
        
        PreparedStatement selectStmt=conn.prepareStatement("select path from "+allPathTbl);
        ResultSet allPathSet=selectStmt.executeQuery();
        ArrayList<String> allPathList=new ArrayList<String>();
        while(allPathSet.next()){
            allPathList.add(allPathSet.getString("path"));
        }
        //finding the max score and all scores for given split
        int max=0;
        int score[]=new int[20];
        int scoreCount[]=new int[20];
        for(int i=splitMax;i>=1;i--){
            max=max+i;
            score[i]=max;
           // System.out.println("Score of "+i+"\tis\t"+score[i]);
        }
        for(int i=0;i<minRl.size();i++){
        
            TopKMatches topObj=new TopKMatches(minRl.get(i),allPathList,4,score,scoreCount,3);
            
            topObj.start();
            topObj.join();
        }
        
        
    }
   
     public void putIntoListSNT(Connection conn,String allPathTbl,int splitMax,ArrayList<Integer> minNode) throws SQLException, InterruptedException{
        
        PreparedStatement selectStmt=conn.prepareStatement("select path from "+allPathTbl);
        ResultSet allPathSet=selectStmt.executeQuery();
        ArrayList<String> allPathList=new ArrayList<String>();
        while(allPathSet.next()){
            allPathList.add(allPathSet.getString("path")); 
        }
        //finding the max score and all scores for given split
        int max=0;
        int score[]=new int[20];
        int scoreCount[]=new int[20];
        for(int i=splitMax;i>=1;i--){
            max=max+i;
            score[i]=max;
           // System.out.println("Score of "+i+"\tis\t"+score[i]);
        }
        for(int i=0;i<minNode.size();i++){
        
            TopKMatches topObj=new TopKMatches(minNode.get(i),allPathList,4,score,scoreCount,4);
            
            topObj.start();
            topObj.join();
        }
        
        
    }
   */
    public void run(){
       MysqlConnect conectObj=new MysqlConnect();
        //SSORT
        if(type==1){
            for(int k=0;k<allPathLt.size();k++){
                
                try {
                    gained=scoreObj.wildCardMatchForSSORT(allPathLt.get(k),pt,splitMax,gained,pathtype,number,score[splitMax-2]);
                } catch (ClassNotFoundException ex) {
                    Logger.getLogger(TopKMatches.class.getName()).log(Level.SEVERE, null, ex);
                } catch (InstantiationException ex) {
                    Logger.getLogger(TopKMatches.class.getName()).log(Level.SEVERE, null, ex);
                } catch (IllegalAccessException ex) {
                    Logger.getLogger(TopKMatches.class.getName()).log(Level.SEVERE, null, ex);
                } catch (SQLException ex) {
                    Logger.getLogger(TopKMatches.class.getName()).log(Level.SEVERE, null, ex);
                }
            }
            System.out.println("Sub Path Type's Count Of Occurences:\t"+gained[score[splitMax-2]]);
         if(gained[score[splitMax-2]]>0)  {            
            try {
                Connection conn=null;
                System.out.println("Sub Path Type :\t"+pt.substring(0,pt.lastIndexOf('^')));
                              
                    conn =conectObj.doConnectMySql(conn,"jdbc:mysql://localhost:3306/review3");
                    PreparedStatement insertStmt=conn.prepareStatement("insert into sub_ssort values(?,?,?) " );
                    insertStmt.setString(1,pt.substring(0,pt.lastIndexOf('^')));
                    insertStmt.setInt(2,pathtype);
                    insertStmt.setInt(3,number);
                    insertStmt.executeUpdate();
                    System.out.println("inserted sub pt into db\n");
                    conectObj.doDisconnectMySql(conn);
                } catch (SQLException ex) {
                    Logger.getLogger(TopKMatches.class.getName()).log(Level.SEVERE, null, ex);
                }
             }           
        
        }
      /*
        //SRT
        if(type==2){
            for(int k=0;k<allPathLt.size();k++){
                gained=scoreObj.wildCardMatchForSRT(allPathLt.get(k),pt,splitMax,gained,pathtype,number,score[splitMax-2]);
            }
            System.out.println("Sub Path Type's Count Of Occurences:\t"+gained[score[splitMax-2]]);
            if(gained[score[splitMax-2]]>0)  {            
            try {
                Connection conn=null;
                System.out.println("Sub Path Type :\t"+pt.substring(0,pt.lastIndexOf('^')));
                              
                    conn =conectObj.doConnectMySql(conn,"jdbc:mysql://localhost:3306/review2");
                    PreparedStatement insertStmt=conn.prepareStatement("insert into sub_ssort values(?,?,?) " );
                    insertStmt.setString(1,pt.substring(0,pt.lastIndexOf('^')));
                    insertStmt.setInt(2,pathtype);
                    insertStmt.setInt(3,number);
                    insertStmt.executeUpdate();
                    System.out.println("inserted sub pt into db\n");
                    conectObj.doDisconnectMySql(conn);
                } catch (SQLException ex) {
                    Logger.getLogger(TopKMatches.class.getName()).log(Level.SEVERE, null, ex);
                }
             }
        }  
        //SERT
        if(type==3){
            
             for(int k=0;k<allPathLt.size();k++){
                gained=scoreObj.wildCardMatchForSERT(minRel,allPathLt.get(k),splitMax,gained);
            }
             
            for(int l=0;l<splitMax;l++){
                    
                    int val=gained[score[splitMax-l]];
                    System.out.println("Interactive Number\t"+(l+1)+"\tNumber Of Paths:\t"+val);
            } 
        }
        //SNT
        if(type==4){
            
             for(int k=0;k<allPathLt.size();k++){
                gained=scoreObj.wildCardMatchForSNT(minRel,allPathLt.get(k),splitMax,gained);
            }
             
            for(int l=0;l<splitMax;l++){
                    
                    int val=gained[score[splitMax-l]];
                    System.out.println("Interactive Number\t"+(l+1)+"\tNumber Of Paths:\t"+val);
            } 
        }
      */
   }
    
}
